/* Generated by re2c 0.13.5 on Sat Jul 26 18:30:43 2008 */
#line 1 "Zend/zend_language_scanner.l"
/*
   +----------------------------------------------------------------------+
   | Zend Engine                                                          |
   +----------------------------------------------------------------------+
   | Copyright (c) 1998-2006 Zend Technologies Ltd. (http://www.zend.com) |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.00 of the Zend license,     |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.zend.com/license/2_00.txt.                                |
   | If you did not receive a copy of the Zend license and are unable to  |
   | obtain it through the world-wide-web, please send a note to          |
   | license@zend.com so we can mail you a copy immediately.              |
   +----------------------------------------------------------------------+
   | Authors: Marcus Boerger <helly@php.net>                              |
   |          Nuno Lopes <nlopess@php.net>                                |
   |          Scott MacVicar <scottmac@php.net>                           |
   | Flex version authors:                                                |
   |          Andi Gutmans <andi@zend.com>                                |
   |          Zeev Suraski <zeev@zend.com>                                |
   +----------------------------------------------------------------------+
*/

/* $Id: zend_language_scanner.c,v 1.1.2.20 2008/07/26 15:30:24 dmitry Exp $ */

#if 0
# define YYDEBUG(s, c) printf("state: %d char: %c\n", s, c)
#else
# define YYDEBUG(s, c)
#endif

#include "zend_language_scanner_defs.h"

#include <errno.h>
#include "zend.h"
#include "zend_alloc.h"
#include <zend_language_parser.h>
#include "zend_compile.h"
#include "zend_language_scanner.h"
#include "zend_highlight.h"
#include "zend_constants.h"
#include "zend_variables.h"
#include "zend_operators.h"
#include "zend_API.h"
#include "zend_strtod.h"
#include "zend_exceptions.h"
#include "tsrm_virtual_cwd.h"
#include "tsrm_config_common.h"

#define YYCTYPE   unsigned char
#define YYFILL(n) { if (YYCURSOR >= YYLIMIT) return 0; }
#define YYCURSOR  SCNG(yy_cursor)
#define YYLIMIT   SCNG(yy_limit)
#define YYMARKER  SCNG(yy_marker)

#define YYGETCONDITION()  SCNG(yy_state)
#define YYSETCONDITION(s) SCNG(yy_state) = s

#define STATE(name)  yyc##name

/* emulate flex constructs */
#define BEGIN(state) YYSETCONDITION(STATE(state))
#define YYSTATE      YYGETCONDITION()
#define yytext       ((char*)SCNG(yy_text))
#define yyleng       SCNG(yy_leng)
#define yyless(x)    do { YYCURSOR = (unsigned char*)yytext + x; \
                          yyleng   = (unsigned int)x; } while(0)
#define yymore()     goto yymore_restart

/* perform sanity check. If this message is triggered you should
   increase the ZEND_MMAP_AHEAD value in the zend_streams.h file */
#define YYMAXFILL 16
#if ZEND_MMAP_AHEAD < YYMAXFILL
# error ZEND_MMAP_AHEAD should be greater than or equal to YYMAXFILL
#endif

#ifdef HAVE_STDARG_H
# include <stdarg.h>
#endif

#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif

/* Globals Macros */
#define SCNG	LANG_SCNG
#ifdef ZTS
ZEND_API ts_rsrc_id language_scanner_globals_id;
#else
ZEND_API zend_php_scanner_globals language_scanner_globals;
#endif

#define HANDLE_NEWLINES(s, l)													\
do {																			\
	char *p = (s), *boundary = p+(l);											\
																				\
	while (p<boundary) {														\
		if (*p == '\n' || (*p == '\r' && (*(p+1) != '\n'))) {					\
			CG(zend_lineno)++;													\
		}																		\
		p++;																	\
	}																			\
} while (0)

#define HANDLE_NEWLINE(c) \
{ \
	if (c == '\n' || c == '\r') { \
		CG(zend_lineno)++; \
	} \
}

#define ZEND_IS_OCT(c)  ((c)>='0' && (c)<='7')
#define ZEND_IS_HEX(c)  (((c)>='0' && (c)<='9') || ((c)>='a' && (c)<='f') || ((c)>='A' && (c)<='F'))

BEGIN_EXTERN_C()

static void _yy_push_state(int new_state TSRMLS_DC)
{
	zend_stack_push(&SCNG(state_stack), (void *) &YYGETCONDITION(), sizeof(int));
	YYSETCONDITION(new_state);
}

#define yy_push_state(state_and_tsrm) _yy_push_state(yyc##state_and_tsrm)

static void yy_pop_state(TSRMLS_D)
{
	int *stack_state;
	zend_stack_top(&SCNG(state_stack), (void **) &stack_state);
	YYSETCONDITION(*stack_state);
	zend_stack_del_top(&SCNG(state_stack));
}

static void yy_scan_buffer(char *str, unsigned int len TSRMLS_DC)
{
	YYCURSOR       = (YYCTYPE*)str;
	SCNG(yy_start) = YYCURSOR;
	YYLIMIT        = YYCURSOR + len;
}

void startup_scanner(TSRMLS_D)
{
	CG(heredoc) = NULL;
	CG(heredoc_len) = 0;
	CG(doc_comment) = NULL;
	CG(doc_comment_len) = 0;
	zend_llist_init(&SCNG(used_state_stacks), sizeof(zend_stack), (llist_dtor_func_t) zend_stack_destroy, 0);
	zend_stack_init(&SCNG(state_stack));
	zend_llist_add_element(&SCNG(used_state_stacks), &SCNG(state_stack));
}

void shutdown_scanner(TSRMLS_D)
{
	if (CG(heredoc)) {
		efree(CG(heredoc));
		CG(heredoc_len)=0;
	}
	zend_llist_destroy(&SCNG(used_state_stacks));
	RESET_DOC_COMMENT();
}

static int compare_stacks(zend_stack *stack1, zend_stack *stack2)
{
	return (stack1 == stack2);
}

ZEND_API void zend_save_lexical_state(zend_lex_state *lex_state TSRMLS_DC)
{
	lex_state->yy_leng   = SCNG(yy_leng);
	lex_state->yy_start  = SCNG(yy_start);
	lex_state->yy_text   = SCNG(yy_text);
	lex_state->yy_cursor = SCNG(yy_cursor);
	lex_state->yy_marker = SCNG(yy_marker);
	lex_state->yy_limit  = SCNG(yy_limit);

	lex_state->state_stack = SCNG(state_stack);
	zend_stack_init(&SCNG(state_stack));
	zend_llist_add_element(&SCNG(used_state_stacks), &SCNG(state_stack));

	lex_state->in = SCNG(yy_in);
	lex_state->yy_state = YYSTATE;
	lex_state->filename = zend_get_compiled_filename(TSRMLS_C);
	lex_state->lineno = CG(zend_lineno);

#ifdef ZEND_MULTIBYTE
	lex_state->script_org = SCNG(script_org);
	lex_state->script_org_size = SCNG(script_org_size);
	lex_state->script_filtered = SCNG(script_filtered);
	lex_state->script_filtered_size = SCNG(script_filtered_size);
	lex_state->input_filter = SCNG(input_filter);
	lex_state->output_filter = SCNG(output_filter);
	lex_state->script_encoding = SCNG(script_encoding);
	lex_state->internal_encoding = SCNG(internal_encoding);
#endif /* ZEND_MULTIBYTE */
}

ZEND_API void zend_restore_lexical_state(zend_lex_state *lex_state TSRMLS_DC)
{
	SCNG(yy_leng)   = lex_state->yy_leng;
	SCNG(yy_start)  = lex_state->yy_start;
	SCNG(yy_text)   = lex_state->yy_text;
	SCNG(yy_cursor) = lex_state->yy_cursor;
	SCNG(yy_marker) = lex_state->yy_marker;
	SCNG(yy_limit)  = lex_state->yy_limit;

	zend_llist_del_element(&SCNG(used_state_stacks), &SCNG(state_stack), (int (*)(void *, void *)) compare_stacks);
	SCNG(state_stack) = lex_state->state_stack;

	SCNG(yy_in) = lex_state->in;
	YYSETCONDITION(lex_state->yy_state);
	CG(zend_lineno) = lex_state->lineno;
	zend_restore_compiled_filename(lex_state->filename TSRMLS_CC);
#ifdef ZEND_MULTIBYTE
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
		SCNG(script_org) = NULL;
	}
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
	SCNG(script_org) = lex_state->script_org;
	SCNG(script_org_size) = lex_state->script_org_size;
	SCNG(script_filtered) = lex_state->script_filtered;
	SCNG(script_filtered_size) = lex_state->script_filtered_size;
	SCNG(input_filter) = lex_state->input_filter;
	SCNG(output_filter) = lex_state->output_filter;
	SCNG(script_encoding) = lex_state->script_encoding;
	SCNG(internal_encoding) = lex_state->internal_encoding;
#endif /* ZEND_MULTIBYTE */
}

ZEND_API void zend_destroy_file_handle(zend_file_handle *file_handle TSRMLS_DC)
{
	zend_llist_del_element(&CG(open_files), file_handle, (int (*)(void *, void *)) zend_compare_file_handles);
	/* zend_file_handle_dtor() operates on the copy, so we have to NULLify the original here */
	file_handle->opened_path = NULL;
	if (file_handle->free_filename) {
		file_handle->filename = NULL;
	}
}


ZEND_API int open_file_for_scanning(zend_file_handle *file_handle TSRMLS_DC)
{
	char *file_path = NULL, *buf;
	size_t size;

	if (zend_stream_fixup(file_handle, &buf, &size TSRMLS_CC) == FAILURE) {
		return FAILURE;
	}

	zend_llist_add_element(&CG(open_files), file_handle);
	if (file_handle->handle.stream.handle >= (void*)file_handle && file_handle->handle.stream.handle <= (void*)(file_handle+1)) {
		zend_file_handle *fh = (zend_file_handle*)zend_llist_get_last(&CG(open_files));
		size_t diff = (char*)file_handle->handle.stream.handle - (char*)file_handle;
		fh->handle.stream.handle = (void*)(((char*)fh) + diff);
		file_handle->handle.stream.handle = fh->handle.stream.handle;
	}

	/* Reset the scanner for scanning the new file */
	SCNG(yy_in) = file_handle;

	if (size != -1) {
#ifdef ZEND_MULTIBYTE
		if (zend_multibyte_read_script((unsigned char *)buf, size TSRMLS_CC) != 0) {
			return FAILURE;
		}

		SCNG(yy_in) = NULL;

		zend_multibyte_set_filter(NULL TSRMLS_CC);

		if (!SCNG(input_filter)) {
			SCNG(script_filtered) = (unsigned char*)emalloc(SCNG(script_org_size)+1);
			memcpy(SCNG(script_filtered), SCNG(script_org), SCNG(script_org_size)+1);
			SCNG(script_filtered_size) = SCNG(script_org_size);
		} else {
			SCNG(input_filter)(&SCNG(script_filtered), &SCNG(script_filtered_size), SCNG(script_org), SCNG(script_org_size) TSRMLS_CC);
		}

		yy_scan_buffer((char *)SCNG(script_filtered), SCNG(script_filtered_size) TSRMLS_CC);
#else /* !ZEND_MULTIBYTE */
		yy_scan_buffer(buf, size TSRMLS_CC);
#endif /* ZEND_MULTIBYTE */
	} else {
		zend_error_noreturn(E_COMPILE_ERROR, "zend_stream_mmap() failed");
	}

	BEGIN(INITIAL);

	if (file_handle->opened_path) {
		file_path = file_handle->opened_path;
	} else {
		file_path = file_handle->filename;
	}

	zend_set_compiled_filename(file_path TSRMLS_CC);

	if (CG(start_lineno)) {
		CG(zend_lineno) = CG(start_lineno);
		CG(start_lineno) = 0;
	} else {
		CG(zend_lineno) = 1;
	}

	CG(increment_lineno) = 0;
	return SUCCESS;
}
END_EXTERN_C()


ZEND_API zend_op_array *compile_file(zend_file_handle *file_handle, int type TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_op_array *op_array = (zend_op_array *) emalloc(sizeof(zend_op_array));
	zend_op_array *original_active_op_array = CG(active_op_array);
	zend_op_array *retval=NULL;
	int compiler_result;
	zend_bool compilation_successful=0;
	znode retval_znode;
	zend_bool original_in_compilation = CG(in_compilation);

	retval_znode.op_type = IS_CONST;
	retval_znode.u.constant.type = IS_LONG;
	retval_znode.u.constant.value.lval = 1;
	Z_UNSET_ISREF(retval_znode.u.constant);
	Z_SET_REFCOUNT(retval_znode.u.constant, 1);

	zend_save_lexical_state(&original_lex_state TSRMLS_CC);

	retval = op_array; /* success oriented */

	if (open_file_for_scanning(file_handle TSRMLS_CC)==FAILURE) {
		if (type==ZEND_REQUIRE) {
			zend_message_dispatcher(ZMSG_FAILED_REQUIRE_FOPEN, file_handle->filename);
			zend_bailout();
		} else {
			zend_message_dispatcher(ZMSG_FAILED_INCLUDE_FOPEN, file_handle->filename);
		}
		compilation_successful=0;
	} else {
		init_op_array(op_array, ZEND_USER_FUNCTION, INITIAL_OP_ARRAY_SIZE TSRMLS_CC);
		CG(in_compilation) = 1;
		CG(active_op_array) = op_array;
		compiler_result = zendparse(TSRMLS_C);
		zend_do_return(&retval_znode, 0 TSRMLS_CC);
		CG(in_compilation) = original_in_compilation;
		if (compiler_result==1) { /* parser error */
			zend_bailout();
		}
		compilation_successful=1;
	}

	if (retval) {
		CG(active_op_array) = original_active_op_array;
		if (compilation_successful) {
			pass_two(op_array TSRMLS_CC);
			zend_release_labels(TSRMLS_C);
		} else {
			efree(op_array);
			retval = NULL;
		}
	}
	if (compilation_successful) {
		zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	}
	return retval;
}


zend_op_array *compile_filename(int type, zval *filename TSRMLS_DC)
{
	zend_file_handle file_handle;
	zval tmp;
	zend_op_array *retval;
	char *opened_path = NULL;

	if (filename->type != IS_STRING) {
		tmp = *filename;
		zval_copy_ctor(&tmp);
		convert_to_string(&tmp);
		filename = &tmp;
	}
	file_handle.filename = filename->value.str.val;
	file_handle.free_filename = 0;
	file_handle.type = ZEND_HANDLE_FILENAME;
	file_handle.opened_path = NULL;
	file_handle.handle.fp = NULL;

	retval = zend_compile_file(&file_handle, type TSRMLS_CC);
	if (retval && file_handle.handle.stream.handle) {
		int dummy = 1;

		if (!file_handle.opened_path) {
			file_handle.opened_path = opened_path = estrndup(filename->value.str.val, filename->value.str.len);
		}

		zend_hash_add(&EG(included_files), file_handle.opened_path, strlen(file_handle.opened_path)+1, (void *)&dummy, sizeof(int), NULL);

		if (opened_path) {
			efree(opened_path);
		}
	}
	zend_destroy_file_handle(&file_handle TSRMLS_CC);

	if (filename==&tmp) {
		zval_dtor(&tmp);
	}
	return retval;
}

ZEND_API int zend_prepare_string_for_scanning(zval *str, char *filename TSRMLS_DC)
{
	/* enforce two trailing NULLs for flex... */
	str->value.str.val = safe_erealloc(str->value.str.val, 1, str->value.str.len, ZEND_MMAP_AHEAD);

	memset(str->value.str.val + str->value.str.len, 0, ZEND_MMAP_AHEAD);

	SCNG(yy_in)=NULL;

#ifdef ZEND_MULTIBYTE
	SCNG(script_org) = (unsigned char *)estrdup(str->value.str.val);
	SCNG(script_org_size) = str->value.str.len;

	zend_multibyte_set_filter(CG(internal_encoding) TSRMLS_CC);

	if (!SCNG(input_filter)) {
		SCNG(script_filtered) = (unsigned char*)emalloc(SCNG(script_org_size)+1);
		memcpy(SCNG(script_filtered), SCNG(script_org), SCNG(script_org_size)+1);
		SCNG(script_filtered_size) = SCNG(script_org_size);
	} else {
		SCNG(input_filter)(&SCNG(script_filtered), &SCNG(script_filtered_size), SCNG(script_org), SCNG(script_org_size) TSRMLS_CC);
	}

	yy_scan_buffer((char *)SCNG(script_filtered), SCNG(script_filtered_size) TSRMLS_CC);	
#else /* !ZEND_MULTIBYTE */
	yy_scan_buffer(str->value.str.val, str->value.str.len TSRMLS_CC);
#endif /* ZEND_MULTIBYTE */

	zend_set_compiled_filename(filename TSRMLS_CC);
	CG(zend_lineno) = 1;
	CG(increment_lineno) = 0;
	return SUCCESS;
}


ZEND_API int zend_get_scanned_file_offset(TSRMLS_D)
{
	return SCNG(yy_cursor) - SCNG(yy_start);
}


zend_op_array *compile_string(zval *source_string, char *filename TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_op_array *op_array = (zend_op_array *) emalloc(sizeof(zend_op_array));
	zend_op_array *original_active_op_array = CG(active_op_array);
	zend_op_array *retval;
	zval tmp;
	int compiler_result;
	zend_bool original_in_compilation = CG(in_compilation);

	if (source_string->value.str.len==0) {
		efree(op_array);
		return NULL;
	}

	CG(in_compilation) = 1;

	tmp = *source_string;
	zval_copy_ctor(&tmp);
	convert_to_string(&tmp);
	source_string = &tmp;

	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (zend_prepare_string_for_scanning(source_string, filename TSRMLS_CC)==FAILURE) {
		efree(op_array);
		retval = NULL;
	} else {
		zend_bool orig_interactive = CG(interactive);

		CG(interactive) = 0;
		init_op_array(op_array, ZEND_EVAL_CODE, INITIAL_OP_ARRAY_SIZE TSRMLS_CC);
		CG(interactive) = orig_interactive;
		CG(active_op_array) = op_array;
		BEGIN(ST_IN_SCRIPTING);
		compiler_result = zendparse(TSRMLS_C);

#ifdef ZEND_MULTIBYTE
		if (SCNG(script_org)) {
			efree(SCNG(script_org));
			SCNG(script_org) = NULL;
		}
		if (SCNG(script_filtered)) {
			efree(SCNG(script_filtered));
			SCNG(script_filtered) = NULL;
		}
#endif /* ZEND_MULTIBYTE */

		if (compiler_result==1) {
			CG(active_op_array) = original_active_op_array;
			CG(unclean_shutdown)=1;
			retval = NULL;
		} else {
			zend_do_return(NULL, 0 TSRMLS_CC);
			CG(active_op_array) = original_active_op_array;
			pass_two(op_array TSRMLS_CC);
			zend_release_labels(TSRMLS_C);
			retval = op_array;
		}
		zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	}
	zval_dtor(&tmp);
	CG(in_compilation) = original_in_compilation;
	return retval;
}


BEGIN_EXTERN_C()
int highlight_file(char *filename, zend_syntax_highlighter_ini *syntax_highlighter_ini TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zend_file_handle file_handle;

	file_handle.type = ZEND_HANDLE_FILENAME;
	file_handle.filename = filename;
	file_handle.free_filename = 0;
	file_handle.opened_path = NULL;
	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (open_file_for_scanning(&file_handle TSRMLS_CC)==FAILURE) {
		zend_message_dispatcher(ZMSG_FAILED_HIGHLIGHT_FOPEN, filename);
		return FAILURE;
	}
	zend_highlight(syntax_highlighter_ini TSRMLS_CC);
#ifdef ZEND_MULTIBYTE
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
		SCNG(script_org) = NULL;
	}
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
#endif /* ZEND_MULTIBYTE */
	zend_destroy_file_handle(&file_handle TSRMLS_CC);
	zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	return SUCCESS;
}

int highlight_string(zval *str, zend_syntax_highlighter_ini *syntax_highlighter_ini, char *str_name TSRMLS_DC)
{
	zend_lex_state original_lex_state;
	zval tmp = *str;

	str = &tmp;
	zval_copy_ctor(str);
	zend_save_lexical_state(&original_lex_state TSRMLS_CC);
	if (zend_prepare_string_for_scanning(str, str_name TSRMLS_CC)==FAILURE) {
		return FAILURE;
	}
	BEGIN(INITIAL);
	zend_highlight(syntax_highlighter_ini TSRMLS_CC);
#ifdef ZEND_MULTIBYTE
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
		SCNG(script_org) = NULL;
	}
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
		SCNG(script_filtered) = NULL;
	}
#endif /* ZEND_MULTIBYTE */
	zend_restore_lexical_state(&original_lex_state TSRMLS_CC);
	zval_dtor(str);
	return SUCCESS;
}
END_EXTERN_C()

#ifdef ZEND_MULTIBYTE

BEGIN_EXTERN_C()
ZEND_API void zend_multibyte_yyinput_again(zend_encoding_filter old_input_filter, zend_encoding *old_encoding TSRMLS_DC)
{
	size_t offset, original_offset, length, free_flag, new_len;
	unsigned char *p;
	zend_encoding *new_encoding;

	/* calculate current position */
	offset = original_offset = YYCURSOR - SCNG(yy_start);
	if (old_input_filter && original_offset > 0) {
		new_encoding = SCNG(script_encoding);
		SCNG(script_encoding) = old_encoding;
		do {
			(old_input_filter)(&p, &length, SCNG(script_org), offset TSRMLS_CC);
			if (!p) {
				SCNG(script_encoding) = new_encoding;
				return;
			}
			efree(p);
			if (length > original_offset) {
				offset--;
			} else if (length < original_offset) {
				offset++;
			}
		} while (original_offset != length);
		SCNG(script_encoding) = new_encoding;
	}

	/* convert and set */
	if (!SCNG(input_filter)) {
		length = SCNG(script_org_size) - offset;
		p = SCNG(script_org) + offset;
		free_flag = 0;
	} else {
		SCNG(input_filter)(&p, &length, SCNG(script_org) + offset, SCNG(script_org_size) - offset TSRMLS_CC);
		free_flag = 1;
	}

	new_len = original_offset + length;

	if (new_len > YYLIMIT - SCNG(yy_start)) {
		unsigned char *new_yy_start = erealloc(SCNG(yy_start), new_len);
		SCNG(yy_cursor) = new_yy_start + (SCNG(yy_cursor) - SCNG(yy_start));
		SCNG(yy_marker) = new_yy_start + (SCNG(yy_marker) - SCNG(yy_start));
		SCNG(yy_text) = new_yy_start + (SCNG(yy_text) - SCNG(yy_start));
		SCNG(yy_start) = new_yy_start;
		SCNG(script_filtered) = new_yy_start;
		SCNG(script_filtered_size) = new_len;
	}

	SCNG(yy_limit) = SCNG(yy_start) + new_len;
	memmove(SCNG(yy_start) + original_offset, p, length);

	if (free_flag) {
		efree(p);
	}
}


ZEND_API int zend_multibyte_yyinput(zend_file_handle *file_handle, char *buf, size_t len TSRMLS_DC)
{
	size_t n;

	if (CG(interactive) == 0) {
		if (zend_stream_fixup(file_handle, &buf, &len TSRMLS_CC) == FAILURE) {
			return FAILURE;
		}
		n = len;
		return n;
	}

	/* interactive */
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
	}
	if (SCNG(script_filtered)) {
		efree(SCNG(script_filtered));
	}
	SCNG(script_org) = NULL;
	SCNG(script_org_size) = 0;

	/* TODO: support widechars */
	if (zend_stream_fixup(file_handle, &buf, &len TSRMLS_CC) == FAILURE) {
		return FAILURE;
	}
	n = len;

	SCNG(script_org_size) = n;
	SCNG(script_org) = (unsigned char*)emalloc(SCNG(script_org_size) + 1);
	memcpy(SCNG(script_org), buf, n);

	return n;
}


ZEND_API int zend_multibyte_read_script(unsigned char *buf, size_t n TSRMLS_DC)
{
	if (SCNG(script_org)) {
		efree(SCNG(script_org));
	}
	SCNG(script_org_size) = n;
	SCNG(script_org) = (unsigned char*)erealloc(SCNG(script_org), SCNG(script_org_size));
	memcpy(SCNG(script_org) + SCNG(script_org_size) - n, buf, n);
	
	SCNG(script_org) = (unsigned char*)erealloc(SCNG(script_org), SCNG(script_org_size) + 1);
	*(SCNG(script_org)+SCNG(script_org_size)) = '\0';

	return 0;
}


# define zend_copy_value(zendlval, yytext, yyleng) \
	if (SCNG(output_filter)) { \
		size_t sz = 0; \
		SCNG(output_filter)((unsigned char **)&(zendlval->value.str.val), &sz, (unsigned char *)yytext, (size_t)yyleng TSRMLS_CC); \
		zendlval->value.str.len = sz; \
	} else { \
		zendlval->value.str.val = (char *) estrndup(yytext, yyleng); \
		zendlval->value.str.len = yyleng; \
	}
#else /* ZEND_MULTIBYTE */
# define zend_copy_value(zendlval, yytext, yyleng) \
	zendlval->value.str.val = (char *)estrndup(yytext, yyleng); \
	zendlval->value.str.len = yyleng;
#endif /* ZEND_MULTIBYTE */

static void zend_scan_escape_string(zval *zendlval, char *str, int len, char quote_type TSRMLS_DC)
{
	register char *s, *t;
	char *end;

	ZVAL_STRINGL(zendlval, str, len, 1);

	/* convert escape sequences */
	s = t = zendlval->value.str.val;
	end = s+zendlval->value.str.len;
	while (s<end) {
		if (*s=='\\') {
			s++;
			if (s >= end) {
				*t++ = '\\';
				break;
			}

			switch(*s) {
				case 'n':
					*t++ = '\n';
					zendlval->value.str.len--;
					break;
				case 'r':
					*t++ = '\r';
					zendlval->value.str.len--;
					break;
				case 't':
					*t++ = '\t';
					zendlval->value.str.len--;
					break;
				case 'f':
					*t++ = '\f';
					zendlval->value.str.len--;
					break;
				case 'v':
					*t++ = '\v';
					zendlval->value.str.len--;
					break;
				case '"':
				case '`':
					if (*s != quote_type) {
						*t++ = '\\';
						*t++ = *s;
						break;
					}
				case '\\':
				case '$':
					*t++ = *s;
					zendlval->value.str.len--;
					break;
				case 'x':
				case 'X':
					if (ZEND_IS_HEX(*(s+1))) {
						char hex_buf[3] = { 0, 0, 0 };

						zendlval->value.str.len--; /* for the 'x' */

						hex_buf[0] = *(++s);
						zendlval->value.str.len--;
						if (ZEND_IS_HEX(*(s+1))) {
							hex_buf[1] = *(++s);
							zendlval->value.str.len--;
						}
						*t++ = (char) strtol(hex_buf, NULL, 16);
					} else {
						*t++ = '\\';
						*t++ = *s;
					}
					break;
				default:
					/* check for an octal */
					if (ZEND_IS_OCT(*s)) {
						char octal_buf[4] = { 0, 0, 0, 0 };

						octal_buf[0] = *s;
						zendlval->value.str.len--;
						if (ZEND_IS_OCT(*(s+1))) {
							octal_buf[1] = *(++s);
							zendlval->value.str.len--;
							if (ZEND_IS_OCT(*(s+1))) {
								octal_buf[2] = *(++s);
								zendlval->value.str.len--;
							}
						}
						*t++ = (char) strtol(octal_buf, NULL, 8);
					} else {
						*t++ = '\\';
						*t++ = *s;
					}
					break;
			}
		} else {
			*t++ = *s;
		}

		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
	}
	*t = 0;
#ifdef ZEND_MULTIBYTE
	if (SCNG(output_filter)) {
		size_t sz = 0;
		s = zendlval->value.str.val;
		SCNG(output_filter)((unsigned char **)&(zendlval->value.str.val), &sz, (unsigned char *)s, (size_t)zendlval->value.str.len TSRMLS_CC);
		zendlval->value.str.len = sz;
		efree(s);
	}
#endif /* ZEND_MULTIBYTE */
}


int lex_scan(zval *zendlval TSRMLS_DC)
{
restart:
	SCNG(yy_text) = YYCURSOR;

yymore_restart:

	/* detect EOF */
	if (YYCURSOR >= YYLIMIT) {
		/* special case */
		if (YYSTATE == STATE(ST_COMMENT) || YYSTATE == STATE(ST_DOC_COMMENT)) {
			zend_error(E_COMPILE_WARNING, "Unterminated comment starting line %d", CG(zend_lineno));
		}

		return 0;
	}

	/* ignore first line when it's started with a # */
	if (YYCURSOR == SCNG(yy_start) && *YYCURSOR == '#') {
		while (++YYCURSOR < YYLIMIT) {
			if (*YYCURSOR == '\n') {
				++YYCURSOR;
				goto restart;
			}

			if (*YYCURSOR == '\r') {
				if (++YYCURSOR < YYLIMIT && *YYCURSOR == '\n') { /* match \r\n as single newline */
					++YYCURSOR;
				}
				goto restart;
			}
		}

		return 0; /* EOF */
	}


#line 861 "Zend/zend_language_scanner.c"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	if (YYGETCONDITION() < 6) {
		if (YYGETCONDITION() < 3) {
			if (YYGETCONDITION() < 1) {
				goto yyc_ST_IN_SCRIPTING;
			} else {
				if (YYGETCONDITION() < 2) {
					goto yyc_ST_LOOKING_FOR_PROPERTY;
				} else {
					goto yyc_ST_BACKQUOTE;
				}
			}
		} else {
			if (YYGETCONDITION() < 4) {
				goto yyc_ST_DOUBLE_QUOTES;
			} else {
				if (YYGETCONDITION() < 5) {
					goto yyc_ST_HEREDOC;
				} else {
					goto yyc_ST_LOOKING_FOR_VARNAME;
				}
			}
		}
	} else {
		if (YYGETCONDITION() < 9) {
			if (YYGETCONDITION() < 7) {
				goto yyc_ST_VAR_OFFSET;
			} else {
				if (YYGETCONDITION() < 8) {
					goto yyc_INITIAL;
				} else {
					goto yyc_ST_ONE_LINE_COMMENT;
				}
			}
		} else {
			if (YYGETCONDITION() < 11) {
				if (YYGETCONDITION() < 10) {
					goto yyc_ST_COMMENT;
				} else {
					goto yyc_ST_DOC_COMMENT;
				}
			} else {
				if (YYGETCONDITION() < 12) {
					goto yyc_ST_END_HEREDOC;
				} else {
					goto yyc_ST_NOWDOC;
				}
			}
		}
	}
/* *********************************** */
yyc_INITIAL:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128,   0,   0, 128,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
		};

		YYDEBUG(0, *YYCURSOR);
		YYFILL(8);
		yych = *YYCURSOR;
		if (yych != '<') goto yy4;
		YYDEBUG(2, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '?') {
			if (yych == '%') goto yy7;
			if (yych >= '?') goto yy5;
		} else {
			if (yych <= 'S') {
				if (yych >= 'S') goto yy9;
			} else {
				if (yych == 's') goto yy9;
			}
		}
yy3:
		YYDEBUG(3, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1627 "Zend/zend_language_scanner.l"
		{

inline_char_handler:

	while (1) {
		YYCTYPE *ptr = memchr(YYCURSOR, '<', YYLIMIT - YYCURSOR);

		if (ptr == NULL) {
			YYCURSOR = YYLIMIT;
			yyleng   = YYCURSOR - SCNG(yy_text);
			break;

		} else {
			YYCURSOR = ptr + 1;

			/* stop if it may be an opening tag (<?, <%, <script>). this condition is not optimal though */
			if (YYCURSOR < YYLIMIT && (*YYCURSOR == '?' || *YYCURSOR == '%' || *YYCURSOR == 's')) {
				--YYCURSOR;
				yyleng = YYCURSOR - SCNG(yy_text);
				break;
			}
		}
	}

#ifdef ZEND_MULTIBYTE
	if (SCNG(output_filter)) {
		int readsize;
		size_t sz = 0;
		readsize = SCNG(output_filter)((unsigned char **)&(zendlval->value.str.val), &sz, (unsigned char *)yytext, (size_t)yyleng TSRMLS_CC);
		zendlval->value.str.len = sz;
		if (readsize < yyleng) {
			yyless(readsize);
		}
	} else {
	  zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
	  zendlval->value.str.len = yyleng;
	}
#else /* !ZEND_MULTIBYTE */
	zendlval->value.str.val = (char *) estrndup(yytext, yyleng);
 	zendlval->value.str.len = yyleng;
#endif
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_INLINE_HTML;
}
#line 1018 "Zend/zend_language_scanner.c"
yy4:
		YYDEBUG(4, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy3;
yy5:
		YYDEBUG(5, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'O') {
			if (yych == '=') goto yy45;
		} else {
			if (yych <= 'P') goto yy47;
			if (yych == 'p') goto yy47;
		}
yy6:
		YYDEBUG(6, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1615 "Zend/zend_language_scanner.l"
		{
	if (CG(short_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG;
	} else {
		goto inline_char_handler;
	}
}
#line 1048 "Zend/zend_language_scanner.c"
yy7:
		YYDEBUG(7, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy43;
		YYDEBUG(8, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1592 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG;
	} else {
		goto inline_char_handler;
	}
}
#line 1067 "Zend/zend_language_scanner.c"
yy9:
		YYDEBUG(9, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy11;
		if (yych == 'c') goto yy11;
yy10:
		YYDEBUG(10, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 0) {
			goto yy3;
		} else {
			goto yy6;
		}
yy11:
		YYDEBUG(11, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy12;
		if (yych != 'r') goto yy10;
yy12:
		YYDEBUG(12, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy13;
		if (yych != 'i') goto yy10;
yy13:
		YYDEBUG(13, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy14;
		if (yych != 'p') goto yy10;
yy14:
		YYDEBUG(14, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy15;
		if (yych != 't') goto yy10;
yy15:
		YYDEBUG(15, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy10;
		if (yych == 'l') goto yy10;
		goto yy17;
yy16:
		YYDEBUG(16, *YYCURSOR);
		++YYCURSOR;
		YYFILL(8);
		yych = *YYCURSOR;
yy17:
		YYDEBUG(17, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy16;
		}
		if (yych == 'L') goto yy18;
		if (yych != 'l') goto yy10;
yy18:
		YYDEBUG(18, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy19;
		if (yych != 'a') goto yy10;
yy19:
		YYDEBUG(19, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy20;
		if (yych != 'n') goto yy10;
yy20:
		YYDEBUG(20, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy21;
		if (yych != 'g') goto yy10;
yy21:
		YYDEBUG(21, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy22;
		if (yych != 'u') goto yy10;
yy22:
		YYDEBUG(22, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy23;
		if (yych != 'a') goto yy10;
yy23:
		YYDEBUG(23, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy24;
		if (yych != 'g') goto yy10;
yy24:
		YYDEBUG(24, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy25;
		if (yych != 'e') goto yy10;
yy25:
		YYDEBUG(25, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(26, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy10;
			if (yych <= '\n') goto yy25;
			if (yych <= '\f') goto yy10;
			goto yy25;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy10;
				goto yy25;
			} else {
				if (yych != '=') goto yy10;
			}
		}
yy27:
		YYDEBUG(27, *YYCURSOR);
		++YYCURSOR;
		YYFILL(5);
		yych = *YYCURSOR;
		YYDEBUG(28, *YYCURSOR);
		if (yych <= '!') {
			if (yych <= '\f') {
				if (yych <= 0x08) goto yy10;
				if (yych <= '\n') goto yy27;
				goto yy10;
			} else {
				if (yych <= '\r') goto yy27;
				if (yych == ' ') goto yy27;
				goto yy10;
			}
		} else {
			if (yych <= 'O') {
				if (yych <= '"') goto yy30;
				if (yych == '\'') goto yy31;
				goto yy10;
			} else {
				if (yych <= 'P') goto yy29;
				if (yych != 'p') goto yy10;
			}
		}
yy29:
		YYDEBUG(29, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy42;
		if (yych == 'h') goto yy42;
		goto yy10;
yy30:
		YYDEBUG(30, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy39;
		if (yych == 'p') goto yy39;
		goto yy10;
yy31:
		YYDEBUG(31, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy32;
		if (yych != 'p') goto yy10;
yy32:
		YYDEBUG(32, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy33;
		if (yych != 'h') goto yy10;
yy33:
		YYDEBUG(33, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy34;
		if (yych != 'p') goto yy10;
yy34:
		YYDEBUG(34, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '\'') goto yy10;
yy35:
		YYDEBUG(35, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(36, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy10;
			if (yych <= '\n') goto yy35;
			if (yych <= '\f') goto yy10;
			goto yy35;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy10;
				goto yy35;
			} else {
				if (yych != '>') goto yy10;
			}
		}
		YYDEBUG(37, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(38, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1556 "Zend/zend_language_scanner.l"
		{
	HANDLE_NEWLINES(yytext, yyleng);
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(ST_IN_SCRIPTING);
	return T_OPEN_TAG;
}
#line 1262 "Zend/zend_language_scanner.c"
yy39:
		YYDEBUG(39, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy40;
		if (yych != 'h') goto yy10;
yy40:
		YYDEBUG(40, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy41;
		if (yych != 'p') goto yy10;
yy41:
		YYDEBUG(41, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '"') goto yy35;
		goto yy10;
yy42:
		YYDEBUG(42, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy35;
		if (yych == 'p') goto yy35;
		goto yy10;
yy43:
		YYDEBUG(43, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(44, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1566 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG_WITH_ECHO;
	} else {
		goto inline_char_handler;
	}
}
#line 1301 "Zend/zend_language_scanner.c"
yy45:
		YYDEBUG(45, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(46, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1579 "Zend/zend_language_scanner.l"
		{
	if (CG(short_tags)) {
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		BEGIN(ST_IN_SCRIPTING);
		return T_OPEN_TAG_WITH_ECHO;
	} else {
		goto inline_char_handler;
	}
}
#line 1319 "Zend/zend_language_scanner.c"
yy47:
		YYDEBUG(47, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy48;
		if (yych != 'h') goto yy10;
yy48:
		YYDEBUG(48, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy49;
		if (yych != 'p') goto yy10;
yy49:
		YYDEBUG(49, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\f') {
			if (yych <= 0x08) goto yy10;
			if (yych >= '\v') goto yy10;
		} else {
			if (yych <= '\r') goto yy52;
			if (yych != ' ') goto yy10;
		}
yy50:
		YYDEBUG(50, *YYCURSOR);
		++YYCURSOR;
yy51:
		YYDEBUG(51, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1605 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINE(yytext[yyleng-1]);
	BEGIN(ST_IN_SCRIPTING);
	return T_OPEN_TAG;
}
#line 1355 "Zend/zend_language_scanner.c"
yy52:
		YYDEBUG(52, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy50;
		goto yy51;
	}
/* *********************************** */
yyc_ST_BACKQUOTE:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144,  16,  16,  16,  16,  16,  16, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,   0,  16,  16, 144, 
			  0, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  64,  16,  16,  16, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
		};
		YYDEBUG(53, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy58;
		}
		if (yych <= '[') goto yy55;
		if (yych <= '\\') goto yy61;
		if (yych <= 'z') goto yy62;
		goto yy56;
yy55:
		YYDEBUG(55, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy68;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy58;
				goto yy74;
			} else {
				if (yych == '\\') goto yy67;
				goto yy58;
			}
		} else {
			if (yych <= 'z') {
				if (yych == '`') goto yy71;
				goto yy74;
			} else {
				if (yych <= '{') goto yy77;
				if (yych <= '~') goto yy58;
				goto yy74;
			}
		}
yy56:
		YYDEBUG(56, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy72;
		}
		if (yych == '$') goto yy57;
		if (yych == '`') goto yy71;
		goto yy59;
yy57:
		YYDEBUG(57, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2007 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 1452 "Zend/zend_language_scanner.c"
yy58:
		YYDEBUG(58, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy59:
		YYDEBUG(59, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy58;
		}
		if (yych <= '[') goto yy66;
		if (yych <= '\\') goto yy61;
		if (yych >= '{') goto yy64;
yy60:
		YYDEBUG(60, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2032 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, '`' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1475 "Zend/zend_language_scanner.c"
yy61:
		YYDEBUG(61, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy58;
yy62:
		YYDEBUG(62, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(63, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2110 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_IN_SCRIPTING);
	return '`';
}
#line 1492 "Zend/zend_language_scanner.c"
yy64:
		YYDEBUG(64, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy58;
		}
		if (yych <= '[') goto yy65;
		if (yych <= '\\') goto yy61;
		if (yych <= 'z') goto yy71;
		goto yy72;
yy65:
		YYDEBUG(65, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy57;
			} else {
				goto yy60;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy70;
			} else {
				goto yy76;
			}
		}
yy66:
		YYDEBUG(66, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy68;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy58;
				goto yy65;
			} else {
				if (yych != '\\') goto yy58;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy65;
				goto yy71;
			} else {
				if (yych <= '{') goto yy65;
				if (yych <= '~') goto yy58;
				goto yy65;
			}
		}
yy67:
		YYDEBUG(67, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy58;
yy68:
		YYDEBUG(68, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(69, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy68;
		}
		if (yych <= '^') {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy58;
			} else {
				if (yych == '\\') goto yy67;
				goto yy58;
			}
		} else {
			if (yych <= '`') {
				if (yych >= '`') goto yy71;
			} else {
				if (yych <= '{') goto yy70;
				if (yych <= '~') goto yy58;
			}
		}
yy70:
		YYDEBUG(70, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2037 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, '`' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1586 "Zend/zend_language_scanner.c"
yy71:
		YYDEBUG(71, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy70;
yy72:
		YYDEBUG(72, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(73, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy58;
		}
		if (yych <= '[') goto yy70;
		if (yych <= '\\') goto yy61;
		if (yych <= 'z') goto yy71;
		goto yy72;
yy74:
		YYDEBUG(74, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(75, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy74;
		}
		if (yych == '-') goto yy79;
		if (yych == '[') goto yy80;
yy76:
		YYDEBUG(76, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1695 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1626 "Zend/zend_language_scanner.c"
yy77:
		YYDEBUG(77, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(78, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1349 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 1637 "Zend/zend_language_scanner.c"
yy79:
		YYDEBUG(79, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy82;
		goto yy65;
yy80:
		YYDEBUG(80, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(81, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1687 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1656 "Zend/zend_language_scanner.c"
yy82:
		YYDEBUG(82, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy65;
			if (yych <= 'Z') goto yy83;
			if (yych <= '^') goto yy65;
		} else {
			if (yych <= '`') goto yy65;
			if (yych <= 'z') goto yy83;
			if (yych <= '~') goto yy65;
		}
yy83:
		YYDEBUG(83, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(84, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1677 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 1682 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_COMMENT:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(85, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy87;
		}
		goto yy90;
yy87:
		YYDEBUG(87, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(88, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy87;
		}
		YYDEBUG(89, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1787 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1743 "Zend/zend_language_scanner.c"
yy90:
		YYDEBUG(90, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '/') goto yy92;
		YYDEBUG(91, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1805 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1754 "Zend/zend_language_scanner.c"
yy92:
		YYDEBUG(92, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(93, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1799 "Zend/zend_language_scanner.l"
		{
	HANDLE_NEWLINES(yytext, yyleng);
	BEGIN(ST_IN_SCRIPTING);
	return T_COMMENT;
}
#line 1766 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_DOC_COMMENT:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(94, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy96;
		}
		goto yy99;
yy96:
		YYDEBUG(96, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(97, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy96;
		}
		YYDEBUG(98, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1787 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1827 "Zend/zend_language_scanner.c"
yy99:
		YYDEBUG(99, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '/') goto yy101;
		YYDEBUG(100, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1805 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 1838 "Zend/zend_language_scanner.c"
yy101:
		YYDEBUG(101, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(102, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1791 "Zend/zend_language_scanner.l"
		{
	CG(doc_comment) = estrndup(yytext, yyleng);
	CG(doc_comment_len) = yyleng;
	HANDLE_NEWLINES(yytext, yyleng);
	BEGIN(ST_IN_SCRIPTING);
	return T_DOC_COMMENT;
}
#line 1852 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_DOUBLE_QUOTES:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,   0,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144,  16,  16,  16,  16,  16,  16, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,   0,  16,  16, 144, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  64,  16,  16,  16, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
		};
		YYDEBUG(103, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy108;
		}
		if (yych <= '#') goto yy112;
		if (yych <= '$') goto yy105;
		if (yych <= 'z') goto yy111;
		goto yy106;
yy105:
		YYDEBUG(105, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy118;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy121;
				goto yy108;
			} else {
				if (yych <= 'Z') goto yy124;
				if (yych <= '[') goto yy108;
				goto yy117;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy124;
				goto yy108;
			} else {
				if (yych <= 'z') goto yy124;
				if (yych <= '{') goto yy127;
				if (yych <= '~') goto yy108;
				goto yy124;
			}
		}
yy106:
		YYDEBUG(106, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy122;
		}
		if (yych == '"') goto yy121;
		if (yych != '$') goto yy109;
yy107:
		YYDEBUG(107, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2007 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 1945 "Zend/zend_language_scanner.c"
yy108:
		YYDEBUG(108, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy109:
		YYDEBUG(109, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy108;
		}
		if (yych <= '#') goto yy110;
		if (yych <= '$') goto yy116;
		if (yych <= 'z') goto yy111;
		goto yy114;
yy110:
		YYDEBUG(110, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2014 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, '"' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 1969 "Zend/zend_language_scanner.c"
yy111:
		YYDEBUG(111, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy108;
yy112:
		YYDEBUG(112, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(113, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2104 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_IN_SCRIPTING);
	return '"';
}
#line 1986 "Zend/zend_language_scanner.c"
yy114:
		YYDEBUG(114, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy108;
		}
		if (yych <= '#') goto yy121;
		if (yych <= '$') goto yy115;
		if (yych <= 'z') goto yy111;
		goto yy122;
yy115:
		YYDEBUG(115, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy107;
			} else {
				goto yy110;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy120;
			} else {
				goto yy126;
			}
		}
yy116:
		YYDEBUG(116, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy118;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy121;
				goto yy108;
			} else {
				if (yych <= 'Z') goto yy115;
				if (yych <= '[') goto yy108;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy115;
				goto yy108;
			} else {
				if (yych <= '{') goto yy115;
				if (yych <= '~') goto yy108;
				goto yy115;
			}
		}
yy117:
		YYDEBUG(117, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy108;
yy118:
		YYDEBUG(118, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(119, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy118;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '"') goto yy121;
				goto yy108;
			} else {
				if (yych <= 'Z') goto yy120;
				if (yych <= '[') goto yy108;
				goto yy117;
			}
		} else {
			if (yych <= '`') {
				if (yych != '_') goto yy108;
			} else {
				if (yych <= '{') goto yy120;
				if (yych <= '~') goto yy108;
			}
		}
yy120:
		YYDEBUG(120, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2025 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, '"' TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 2083 "Zend/zend_language_scanner.c"
yy121:
		YYDEBUG(121, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy120;
yy122:
		YYDEBUG(122, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(123, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy108;
		}
		if (yych <= '#') goto yy121;
		if (yych <= '$') goto yy120;
		if (yych <= 'z') goto yy111;
		goto yy122;
yy124:
		YYDEBUG(124, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(125, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy124;
		}
		if (yych == '-') goto yy129;
		if (yych == '[') goto yy130;
yy126:
		YYDEBUG(126, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1695 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2123 "Zend/zend_language_scanner.c"
yy127:
		YYDEBUG(127, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(128, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1349 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 2134 "Zend/zend_language_scanner.c"
yy129:
		YYDEBUG(129, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy132;
		goto yy115;
yy130:
		YYDEBUG(130, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(131, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1687 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2153 "Zend/zend_language_scanner.c"
yy132:
		YYDEBUG(132, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy115;
			if (yych <= 'Z') goto yy133;
			if (yych <= '^') goto yy115;
		} else {
			if (yych <= '`') goto yy115;
			if (yych <= 'z') goto yy133;
			if (yych <= '~') goto yy115;
		}
yy133:
		YYDEBUG(133, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(134, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1677 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2179 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_END_HEREDOC:
	YYDEBUG(135, *YYCURSOR);
	YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(137, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(138, *YYCURSOR);
	yyleng = YYCURSOR - SCNG(yy_text);
#line 1993 "Zend/zend_language_scanner.l"
	{
	YYCURSOR += CG(heredoc_len) - 1;
	yyleng = CG(heredoc_len);

	Z_STRVAL_P(zendlval) = CG(heredoc);
	Z_STRLEN_P(zendlval) = CG(heredoc_len);
	CG(heredoc) = NULL;
	CG(heredoc_len) = 0;
	BEGIN(ST_IN_SCRIPTING);
	return T_END_HEREDOC;
}
#line 2202 "Zend/zend_language_scanner.c"
/* *********************************** */
yyc_ST_HEREDOC:
	{
		static const unsigned char yybm[] = {
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,  16,   4,   4,  32,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			  4,   4,   4,   4,  64,   4,   4,   4, 
			  4,   4,   4,   4,   4,   4,   4,   4, 
			 12,  12,  12,  12,  12,  12,  12,  12, 
			 12,  12,   4,   4,   4,   4,   4,   4, 
			  4,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   4,   0,   4,   4,   8, 
			  4,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8, 128,   4,   4,   4,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
			  8,   8,   8,   8,   8,   8,   8,   8, 
		};
		YYDEBUG(139, *YYCURSOR);
		YYFILL(2);
		yych = *(YYMARKER = YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			if (yych <= '@') goto yy142;
			goto yy147;
		} else {
			if (yych <= '\\') goto yy149;
			if (yych == '{') goto yy143;
			goto yy147;
		}
yy141:
		YYDEBUG(141, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2051 "Zend/zend_language_scanner.l"
		{
	zend_scan_escape_string(zendlval, yytext, yyleng, 0 TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 2264 "Zend/zend_language_scanner.c"
yy142:
		YYDEBUG(142, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych == '$') goto yy187;
				goto yy146;
			} else {
				if (yych <= 'Z') goto yy191;
				if (yych <= '[') goto yy146;
				goto yy180;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy191;
				goto yy146;
			} else {
				if (yych <= 'z') goto yy191;
				if (yych <= '{') goto yy194;
				if (yych <= '~') goto yy146;
				goto yy191;
			}
		}
yy143:
		YYDEBUG(143, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy149;
			} else {
				if (yych == '{') goto yy189;
				goto yy145;
			}
		}
yy144:
		YYDEBUG(144, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2007 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = (long) '{';
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_CURLY_OPEN;
}
#line 2316 "Zend/zend_language_scanner.c"
yy145:
		YYDEBUG(145, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy146:
		YYDEBUG(146, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			if (yych <= '@') goto yy186;
		} else {
			if (yych <= '\\') goto yy149;
			if (yych == '{') goto yy185;
		}
yy147:
		YYDEBUG(147, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(148, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '@') {
			if (yych <= '$') {
				if (yych == '\r') goto yy152;
				if (yych <= '#') goto yy145;
				goto yy179;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy145;
					goto yy147;
				} else {
					if (yych == ';') goto yy177;
					goto yy145;
				}
			}
		} else {
			if (yych <= '_') {
				if (yych <= '[') {
					if (yych <= 'Z') goto yy147;
					goto yy145;
				} else {
					if (yych <= '\\') goto yy149;
					if (yych <= '^') goto yy145;
					goto yy147;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= '`') goto yy145;
					goto yy147;
				} else {
					if (yych <= '{') goto yy178;
					if (yych <= '~') goto yy145;
					goto yy147;
				}
			}
		}
yy149:
		YYDEBUG(149, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych == '\r') goto yy152;
		goto yy145;
yy150:
		YYDEBUG(150, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(151, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			if (yych <= '@') goto yy158;
			goto yy154;
		} else {
			if (yych <= '\\') goto yy159;
			if (yych == '{') goto yy156;
			goto yy154;
		}
yy152:
		YYDEBUG(152, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(153, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			if (yych <= '@') goto yy158;
		} else {
			if (yych <= '\\') goto yy159;
			if (yych == '{') goto yy156;
		}
yy154:
		YYDEBUG(154, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(155, *YYCURSOR);
		if (yych <= ';') {
			if (yych <= '#') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy145;
					goto yy170;
				} else {
					if (yych == '\r') goto yy170;
					goto yy145;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '$') goto yy169;
					goto yy145;
				} else {
					if (yych <= '9') goto yy154;
					if (yych <= ':') goto yy145;
					goto yy166;
				}
			}
		} else {
			if (yych <= '^') {
				if (yych <= 'Z') {
					if (yych <= '@') goto yy145;
					goto yy154;
				} else {
					if (yych == '\\') goto yy167;
					goto yy145;
				}
			} else {
				if (yych <= 'z') {
					if (yych == '`') goto yy145;
					goto yy154;
				} else {
					if (yych <= '{') goto yy168;
					if (yych <= '~') goto yy145;
					goto yy154;
				}
			}
		}
yy156:
		YYDEBUG(156, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy159;
			} else {
				if (yych == '{') goto yy164;
				goto yy145;
			}
		}
yy157:
		YYDEBUG(157, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy141;
			} else {
				goto yy144;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy163;
			} else {
				goto yy193;
			}
		}
yy158:
		YYDEBUG(158, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			goto yy161;
		} else {
			if (yych == '\\') goto yy160;
			goto yy157;
		}
yy159:
		YYDEBUG(159, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych == '\r') goto yy152;
		goto yy145;
yy160:
		YYDEBUG(160, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych == '\r') goto yy152;
		goto yy145;
yy161:
		YYDEBUG(161, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(162, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			goto yy161;
		} else {
			if (yych == '\\') goto yy160;
		}
yy163:
		YYDEBUG(163, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2056 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	zend_scan_escape_string(zendlval, yytext, yyleng, 0 TSRMLS_CC);
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 2573 "Zend/zend_language_scanner.c"
yy164:
		YYDEBUG(164, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(165, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
			goto yy163;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy159;
			} else {
				if (yych == '{') goto yy164;
				goto yy145;
			}
		}
yy166:
		YYDEBUG(166, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '#') {
			if (yych <= '\n') {
				if (yych <= '\t') goto yy145;
				goto yy170;
			} else {
				if (yych == '\r') goto yy170;
				goto yy145;
			}
		} else {
			if (yych <= '\\') {
				if (yych <= '$') goto yy169;
				if (yych <= '[') goto yy145;
			} else {
				if (yych == '{') goto yy168;
				goto yy145;
			}
		}
yy167:
		YYDEBUG(167, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych == '\r') goto yy152;
		goto yy145;
yy168:
		YYDEBUG(168, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
			goto yy157;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy167;
			} else {
				if (yych == '{') goto yy175;
				goto yy145;
			}
		}
yy169:
		YYDEBUG(169, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			goto yy172;
		} else {
			if (yych == '\\') goto yy174;
			goto yy157;
		}
yy170:
		YYDEBUG(170, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(171, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1956 "Zend/zend_language_scanner.l"
		{
	char *end = yytext + yyleng - 1;

	if (end[-1] == ';') {
		end--;
		yyleng--;
	}

	if (yyleng > CG(heredoc_len) && !memcmp(end - CG(heredoc_len), CG(heredoc), CG(heredoc_len))) {
		int len = yyleng - CG(heredoc_len) - 2; /* 2 for newline before and after label */

		/* May have matched fooLABEL; make sure there's a newline before it */
		if (yytext[len] != '\n') {
			if (yytext[len] != '\r') {
				yyless(yyleng - 1);
				yymore();
			}
		} else if (len > 0 && yytext[len - 1] == '\r') {
			len--; /* Windows newline */
		}

		/* Go back before label, to match in ST_END_HEREDOC state. yytext will include
		 * newline before label, for zend_highlight/strip, tokenizer, etc. */
		yyless(yyleng - CG(heredoc_len) - 1); /* 1 for newline after label */

		CG(increment_lineno) = 1; /* For newline before label */
		BEGIN(ST_END_HEREDOC);
		zend_scan_escape_string(zendlval, yytext, len, 0 TSRMLS_CC);
		return T_ENCAPSED_AND_WHITESPACE;
	} else {
		/* Go back to end of label, so the next match works correctly in case of
		 * a variable or another label at the beginning of the next line */
		yyless(yyleng - 1);
		yymore();
	}
}
#line 2709 "Zend/zend_language_scanner.c"
yy172:
		YYDEBUG(172, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(173, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			goto yy172;
		} else {
			if (yych != '\\') goto yy163;
		}
yy174:
		YYDEBUG(174, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych == '\r') goto yy152;
		goto yy145;
yy175:
		YYDEBUG(175, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(176, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
			goto yy163;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy167;
			} else {
				if (yych == '{') goto yy175;
				goto yy145;
			}
		}
yy177:
		YYDEBUG(177, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '[') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			if (yych <= '@') goto yy179;
			goto yy147;
		} else {
			if (yych <= '\\') goto yy149;
			if (yych != '{') goto yy147;
		}
yy178:
		YYDEBUG(178, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
			goto yy157;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy149;
			} else {
				if (yych == '{') goto yy183;
				goto yy145;
			}
		}
yy179:
		YYDEBUG(179, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			goto yy181;
		} else {
			if (yych != '\\') goto yy157;
		}
yy180:
		YYDEBUG(180, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych == '\r') goto yy152;
		goto yy145;
yy181:
		YYDEBUG(181, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(182, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			goto yy181;
		} else {
			if (yych == '\\') goto yy180;
			goto yy163;
		}
yy183:
		YYDEBUG(183, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(184, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
			goto yy163;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy149;
			} else {
				if (yych == '{') goto yy183;
				goto yy145;
			}
		}
yy185:
		YYDEBUG(185, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
			goto yy157;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy149;
			} else {
				if (yych == '{') goto yy189;
				goto yy145;
			}
		}
yy186:
		YYDEBUG(186, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
		} else {
			if (yych == '\\') goto yy180;
			goto yy157;
		}
yy187:
		YYDEBUG(187, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(188, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy145;
		}
		if (yych <= '@') {
			if (yych <= '\f') goto yy150;
			if (yych <= '\r') goto yy152;
			goto yy187;
		} else {
			if (yych == '\\') goto yy180;
			goto yy163;
		}
yy189:
		YYDEBUG(189, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(190, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy150;
		}
		if (yych <= '$') {
			if (yych == '\r') goto yy152;
			if (yych <= '#') goto yy145;
			goto yy163;
		} else {
			if (yych <= '\\') {
				if (yych <= '[') goto yy145;
				goto yy149;
			} else {
				if (yych == '{') goto yy189;
				goto yy145;
			}
		}
yy191:
		YYDEBUG(191, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(192, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych == '-') goto yy196;
			} else {
				if (yych <= '9') goto yy191;
				if (yych >= 'A') goto yy191;
			}
		} else {
			if (yych <= '_') {
				if (yych <= '[') goto yy197;
				if (yych >= '_') goto yy191;
			} else {
				if (yych <= '`') goto yy193;
				if (yych <= 'z') goto yy191;
				if (yych >= 0x7F) goto yy191;
			}
		}
yy193:
		YYDEBUG(193, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1695 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 2975 "Zend/zend_language_scanner.c"
yy194:
		YYDEBUG(194, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(195, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1349 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_VARNAME TSRMLS_CC);
	return T_DOLLAR_OPEN_CURLY_BRACES;
}
#line 2986 "Zend/zend_language_scanner.c"
yy196:
		YYDEBUG(196, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy199;
		goto yy157;
yy197:
		YYDEBUG(197, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(198, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1687 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 1);
	yy_push_state(ST_VAR_OFFSET TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 3005 "Zend/zend_language_scanner.c"
yy199:
		YYDEBUG(199, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy157;
			if (yych <= 'Z') goto yy200;
			if (yych <= '^') goto yy157;
		} else {
			if (yych <= '`') goto yy157;
			if (yych <= 'z') goto yy200;
			if (yych <= '~') goto yy157;
		}
yy200:
		YYDEBUG(200, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(201, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1677 "Zend/zend_language_scanner.l"
		{
	yyless(yyleng - 3);
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 3031 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_IN_SCRIPTING:
	{
		static const unsigned char yybm[] = {
			/* table 1 .. 8: 0 */
			  2,   2,   2,   2,   2,   2,   2,   2, 
			  2, 194,  66,   2,   2,  66,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			194,   2,   0,   2,   4,   2,   2,   2, 
			  2,   2,   2,   2,   2,   2,   2,   2, 
			 58,  58,  58,  58,  58,  58,  58,  58, 
			 58,  58,   2,   2,   2,   2,   2,   2, 
			  2,  42,  42,  42,  42,  42,  42,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,   2,   0,   2,   2,  10, 
			  2,  42,  42,  42,  42,  42,  42,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,   1,   2,   2,   2,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			 10,  10,  10,  10,  10,  10,  10,  10, 
			/* table 9 .. 9: 256 */
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128,   0, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(202, *YYCURSOR);
		YYFILL(16);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 0x00:
		case 0x01:
		case 0x02:
		case 0x03:
		case 0x04:
		case 0x05:
		case 0x06:
		case 0x07:
		case 0x08:
		case '\v':
		case '\f':
		case 0x0E:
		case 0x0F:
		case 0x10:
		case 0x11:
		case 0x12:
		case 0x13:
		case 0x14:
		case 0x15:
		case 0x16:
		case 0x17:
		case 0x18:
		case 0x19:
		case 0x1A:
		case 0x1B:
		case 0x1C:
		case 0x1D:
		case 0x1E:
		case 0x1F:
		case '\\':	goto yy262;
		case '\t':
		case '\n':
		case '\r':
		case ' ':	goto yy220;
		case '!':	goto yy231;
		case '"':	goto yy256;
		case '#':	goto yy254;
		case '$':	goto yy243;
		case '%':	goto yy237;
		case '&':	goto yy238;
		case '\'':	goto yy258;
		case '(':	goto yy225;
		case ')':
		case ',':
		case ';':
		case '@':
		case '[':
		case ']':
		case '~':	goto yy244;
		case '*':	goto yy234;
		case '+':	goto yy230;
		case '-':	goto yy218;
		case '.':	goto yy236;
		case '/':	goto yy235;
		case '0':	goto yy250;
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':	goto yy252;
		case ':':	goto yy222;
		case '<':	goto yy232;
		case '=':	goto yy228;
		case '>':	goto yy233;
		case '?':	goto yy245;
		case 'A':
		case 'a':	goto yy213;
		case 'B':
		case 'b':	goto yy215;
		case 'C':
		case 'c':	goto yy208;
		case 'D':
		case 'd':	goto yy206;
		case 'E':
		case 'e':	goto yy204;
		case 'F':
		case 'f':	goto yy207;
		case 'G':
		case 'g':	goto yy216;
		case 'I':
		case 'i':	goto yy211;
		case 'L':
		case 'l':	goto yy229;
		case 'N':
		case 'n':	goto yy223;
		case 'O':
		case 'o':	goto yy241;
		case 'P':
		case 'p':	goto yy217;
		case 'R':
		case 'r':	goto yy209;
		case 'S':
		case 's':	goto yy214;
		case 'T':
		case 't':	goto yy210;
		case 'U':
		case 'u':	goto yy226;
		case 'V':
		case 'v':	goto yy224;
		case 'W':
		case 'w':	goto yy212;
		case 'X':
		case 'x':	goto yy242;
		case '^':	goto yy240;
		case '_':	goto yy227;
		case '`':	goto yy260;
		case '{':	goto yy246;
		case '|':	goto yy239;
		case '}':	goto yy248;
		default:	goto yy253;
		}
yy204:
		YYDEBUG(204, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(-1, yych);
		switch ((yych = *YYCURSOR)) {
		case 'C':
		case 'c':	goto yy794;
		case 'L':
		case 'l':	goto yy795;
		case 'M':
		case 'm':	goto yy796;
		case 'N':
		case 'n':	goto yy797;
		case 'V':
		case 'v':	goto yy798;
		case 'X':
		case 'x':	goto yy799;
		default:	goto yy280;
		}
yy205:
		YYDEBUG(205, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1719 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 3252 "Zend/zend_language_scanner.c"
yy206:
		YYDEBUG(206, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych <= 'H') {
				if (yych == 'E') goto yy776;
				goto yy280;
			} else {
				if (yych <= 'I') goto yy777;
				if (yych <= 'N') goto yy280;
				goto yy778;
			}
		} else {
			if (yych <= 'h') {
				if (yych == 'e') goto yy776;
				goto yy280;
			} else {
				if (yych <= 'i') goto yy777;
				if (yych == 'o') goto yy778;
				goto yy280;
			}
		}
yy207:
		YYDEBUG(207, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych <= 'N') {
				if (yych == 'I') goto yy755;
				goto yy280;
			} else {
				if (yych <= 'O') goto yy756;
				if (yych <= 'T') goto yy280;
				goto yy757;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'i') goto yy755;
				goto yy280;
			} else {
				if (yych <= 'o') goto yy756;
				if (yych == 'u') goto yy757;
				goto yy280;
			}
		}
yy208:
		YYDEBUG(208, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych <= 'K') {
				if (yych == 'A') goto yy727;
				goto yy280;
			} else {
				if (yych <= 'L') goto yy728;
				if (yych <= 'N') goto yy280;
				goto yy729;
			}
		} else {
			if (yych <= 'k') {
				if (yych == 'a') goto yy727;
				goto yy280;
			} else {
				if (yych <= 'l') goto yy728;
				if (yych == 'o') goto yy729;
				goto yy280;
			}
		}
yy209:
		YYDEBUG(209, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy709;
		if (yych == 'e') goto yy709;
		goto yy280;
yy210:
		YYDEBUG(210, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'R') {
			if (yych == 'H') goto yy701;
			if (yych <= 'Q') goto yy280;
			goto yy702;
		} else {
			if (yych <= 'h') {
				if (yych <= 'g') goto yy280;
				goto yy701;
			} else {
				if (yych == 'r') goto yy702;
				goto yy280;
			}
		}
yy211:
		YYDEBUG(211, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych <= 'L') {
				if (yych == 'F') goto yy654;
				goto yy280;
			} else {
				if (yych <= 'M') goto yy656;
				if (yych <= 'N') goto yy657;
				if (yych <= 'R') goto yy280;
				goto yy658;
			}
		} else {
			if (yych <= 'm') {
				if (yych == 'f') goto yy654;
				if (yych <= 'l') goto yy280;
				goto yy656;
			} else {
				if (yych <= 'n') goto yy657;
				if (yych == 's') goto yy658;
				goto yy280;
			}
		}
yy212:
		YYDEBUG(212, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy649;
		if (yych == 'h') goto yy649;
		goto yy280;
yy213:
		YYDEBUG(213, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych <= 'M') {
				if (yych == 'B') goto yy631;
				goto yy280;
			} else {
				if (yych <= 'N') goto yy632;
				if (yych <= 'Q') goto yy280;
				if (yych <= 'R') goto yy633;
				goto yy634;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'b') goto yy631;
				if (yych <= 'm') goto yy280;
				goto yy632;
			} else {
				if (yych <= 'q') goto yy280;
				if (yych <= 'r') goto yy633;
				if (yych <= 's') goto yy634;
				goto yy280;
			}
		}
yy214:
		YYDEBUG(214, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'W') {
			if (yych == 'T') goto yy619;
			if (yych <= 'V') goto yy280;
			goto yy620;
		} else {
			if (yych <= 't') {
				if (yych <= 's') goto yy280;
				goto yy619;
			} else {
				if (yych == 'w') goto yy620;
				goto yy280;
			}
		}
yy215:
		YYDEBUG(215, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'Q') {
			if (yych <= '/') {
				if (yych <= '"') {
					if (yych <= '!') goto yy205;
					goto yy612;
				} else {
					if (yych == '\'') goto yy263;
					goto yy205;
				}
			} else {
				if (yych <= ';') {
					if (yych <= '9') goto yy279;
					goto yy205;
				} else {
					if (yych <= '<') goto yy611;
					if (yych <= '@') goto yy205;
					goto yy279;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'Z') {
					if (yych <= 'R') goto yy613;
					goto yy279;
				} else {
					if (yych == '_') goto yy279;
					goto yy205;
				}
			} else {
				if (yych <= 'r') {
					if (yych <= 'q') goto yy279;
					goto yy613;
				} else {
					if (yych <= 'z') goto yy279;
					if (yych <= '~') goto yy205;
					goto yy279;
				}
			}
		}
yy216:
		YYDEBUG(216, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'L') goto yy601;
			if (yych <= 'N') goto yy280;
			goto yy602;
		} else {
			if (yych <= 'l') {
				if (yych <= 'k') goto yy280;
				goto yy601;
			} else {
				if (yych == 'o') goto yy602;
				goto yy280;
			}
		}
yy217:
		YYDEBUG(217, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych == 'R') goto yy577;
			if (yych <= 'T') goto yy280;
			goto yy578;
		} else {
			if (yych <= 'r') {
				if (yych <= 'q') goto yy280;
				goto yy577;
			} else {
				if (yych == 'u') goto yy578;
				goto yy280;
			}
		}
yy218:
		YYDEBUG(218, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '<') {
			if (yych == '-') goto yy573;
		} else {
			if (yych <= '=') goto yy571;
			if (yych <= '>') goto yy575;
		}
yy219:
		YYDEBUG(219, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1338 "Zend/zend_language_scanner.l"
		{
	return yytext[0];
}
#line 3503 "Zend/zend_language_scanner.c"
yy220:
		YYDEBUG(220, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy570;
yy221:
		YYDEBUG(221, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1077 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_WHITESPACE;
}
#line 3520 "Zend/zend_language_scanner.c"
yy222:
		YYDEBUG(222, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == ':') goto yy567;
		goto yy219;
yy223:
		YYDEBUG(223, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'E') {
			if (yych == 'A') goto yy555;
			if (yych <= 'D') goto yy280;
			goto yy556;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy280;
				goto yy555;
			} else {
				if (yych == 'e') goto yy556;
				goto yy280;
			}
		}
yy224:
		YYDEBUG(224, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy552;
		if (yych == 'a') goto yy552;
		goto yy280;
yy225:
		YYDEBUG(225, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'D') {
				if (yych <= ' ') {
					if (yych == '\t') goto yy473;
					if (yych <= 0x1F) goto yy219;
					goto yy473;
				} else {
					if (yych <= '@') goto yy219;
					if (yych == 'C') goto yy219;
					goto yy473;
				}
			} else {
				if (yych <= 'I') {
					if (yych == 'F') goto yy473;
					if (yych <= 'H') goto yy219;
					goto yy473;
				} else {
					if (yych == 'O') goto yy473;
					if (yych <= 'Q') goto yy219;
					goto yy473;
				}
			}
		} else {
			if (yych <= 'f') {
				if (yych <= 'b') {
					if (yych == 'U') goto yy473;
					if (yych <= '`') goto yy219;
					goto yy473;
				} else {
					if (yych == 'd') goto yy473;
					if (yych <= 'e') goto yy219;
					goto yy473;
				}
			} else {
				if (yych <= 'o') {
					if (yych == 'i') goto yy473;
					if (yych <= 'n') goto yy219;
					goto yy473;
				} else {
					if (yych <= 's') {
						if (yych <= 'q') goto yy219;
						goto yy473;
					} else {
						if (yych == 'u') goto yy473;
						goto yy219;
					}
				}
			}
		}
yy226:
		YYDEBUG(226, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'S') {
			if (yych == 'N') goto yy464;
			if (yych <= 'R') goto yy280;
			goto yy465;
		} else {
			if (yych <= 'n') {
				if (yych <= 'm') goto yy280;
				goto yy464;
			} else {
				if (yych == 's') goto yy465;
				goto yy280;
			}
		}
yy227:
		YYDEBUG(227, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '_') goto yy390;
		goto yy280;
yy228:
		YYDEBUG(228, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy219;
		if (yych <= '=') goto yy384;
		if (yych <= '>') goto yy386;
		goto yy219;
yy229:
		YYDEBUG(229, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy380;
		if (yych == 'i') goto yy380;
		goto yy280;
yy230:
		YYDEBUG(230, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '+') goto yy378;
		if (yych == '=') goto yy376;
		goto yy219;
yy231:
		YYDEBUG(231, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy373;
		goto yy219;
yy232:
		YYDEBUG(232, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= ';') {
			if (yych == '/') goto yy345;
			goto yy219;
		} else {
			if (yych <= '<') goto yy343;
			if (yych <= '=') goto yy346;
			if (yych <= '>') goto yy348;
			goto yy219;
		}
yy233:
		YYDEBUG(233, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy219;
		if (yych <= '=') goto yy339;
		if (yych <= '>') goto yy337;
		goto yy219;
yy234:
		YYDEBUG(234, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy335;
		goto yy219;
yy235:
		YYDEBUG(235, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '.') {
			if (yych == '*') goto yy326;
			goto yy219;
		} else {
			if (yych <= '/') goto yy328;
			if (yych == '=') goto yy329;
			goto yy219;
		}
yy236:
		YYDEBUG(236, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy219;
		if (yych <= '9') goto yy322;
		if (yych == '=') goto yy324;
		goto yy219;
yy237:
		YYDEBUG(237, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '<') goto yy219;
		if (yych <= '=') goto yy318;
		if (yych <= '>') goto yy316;
		goto yy219;
yy238:
		YYDEBUG(238, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '&') goto yy312;
		if (yych == '=') goto yy314;
		goto yy219;
yy239:
		YYDEBUG(239, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy310;
		if (yych == '|') goto yy308;
		goto yy219;
yy240:
		YYDEBUG(240, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '=') goto yy306;
		goto yy219;
yy241:
		YYDEBUG(241, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy304;
		if (yych == 'r') goto yy304;
		goto yy280;
yy242:
		YYDEBUG(242, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy301;
		if (yych == 'o') goto yy301;
		goto yy280;
yy243:
		YYDEBUG(243, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy219;
			if (yych <= 'Z') goto yy298;
			if (yych <= '^') goto yy219;
			goto yy298;
		} else {
			if (yych <= '`') goto yy219;
			if (yych <= 'z') goto yy298;
			if (yych <= '~') goto yy219;
			goto yy298;
		}
yy244:
		YYDEBUG(244, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy219;
yy245:
		YYDEBUG(245, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy294;
		goto yy219;
yy246:
		YYDEBUG(246, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(247, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1343 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return '{';
}
#line 3758 "Zend/zend_language_scanner.c"
yy248:
		YYDEBUG(248, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(249, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1355 "Zend/zend_language_scanner.l"
		{
	RESET_DOC_COMMENT();
	if (!zend_stack_is_empty(&SCNG(state_stack))) {
		yy_pop_state(TSRMLS_C);
	}
	return '}';
}
#line 3772 "Zend/zend_language_scanner.c"
yy250:
		YYDEBUG(250, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'E') {
			if (yych <= '/') {
				if (yych == '.') goto yy281;
			} else {
				if (yych <= '9') goto yy284;
				if (yych >= 'E') goto yy286;
			}
		} else {
			if (yych <= 'd') {
				if (yych == 'X') goto yy290;
			} else {
				if (yych <= 'e') goto yy286;
				if (yych == 'x') goto yy290;
			}
		}
yy251:
		YYDEBUG(251, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1381 "Zend/zend_language_scanner.l"
		{
	if (yyleng < MAX_LENGTH_OF_LONG - 1) { /* Won't overflow */
		zendlval->value.lval = strtol(yytext, NULL, 0);
	} else {
		errno = 0;
		zendlval->value.lval = strtol(yytext, NULL, 0);
		if (errno == ERANGE) { /* Overflow */
			if (yytext[0] == '0') { /* octal overflow */
				zendlval->value.dval = zend_oct_strtod(yytext, NULL);
			} else {
				zendlval->value.dval = zend_strtod(yytext, NULL);
			}
			zendlval->type = IS_DOUBLE;
			return T_DNUMBER;
		}
	}

	zendlval->type = IS_LONG;
	return T_LNUMBER;
}
#line 3816 "Zend/zend_language_scanner.c"
yy252:
		YYDEBUG(252, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '9') {
			if (yych == '.') goto yy281;
			if (yych <= '/') goto yy251;
			goto yy284;
		} else {
			if (yych <= 'E') {
				if (yych <= 'D') goto yy251;
				goto yy286;
			} else {
				if (yych == 'e') goto yy286;
				goto yy251;
			}
		}
yy253:
		YYDEBUG(253, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy280;
yy254:
		YYDEBUG(254, *YYCURSOR);
		++YYCURSOR;
yy255:
		YYDEBUG(255, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1726 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_ONE_LINE_COMMENT);
	yymore();
}
#line 3849 "Zend/zend_language_scanner.c"
yy256:
		YYDEBUG(256, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy272;
yy257:
		YYDEBUG(257, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1893 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_DOUBLE_QUOTES);
	return '"';
}
#line 3863 "Zend/zend_language_scanner.c"
yy258:
		YYDEBUG(258, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy264;
yy259:
		YYDEBUG(259, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2116 "Zend/zend_language_scanner.l"
		{
	zend_error(E_COMPILE_WARNING,"Unexpected character in input:  '%c' (ASCII=%d) state=%d", yytext[0], yytext[0], YYSTATE);
	goto restart;
}
#line 3877 "Zend/zend_language_scanner.c"
yy260:
		YYDEBUG(260, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(261, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1944 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_BACKQUOTE);
	return '`';
}
#line 3888 "Zend/zend_language_scanner.c"
yy262:
		YYDEBUG(262, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy259;
yy263:
		YYDEBUG(263, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy264:
		YYDEBUG(264, *YYCURSOR);
		if (yybm[256+yych] & 128) {
			goto yy263;
		}
		if (yych <= '[') goto yy266;
		YYDEBUG(265, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy263;
yy266:
		YYDEBUG(266, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(267, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1842 "Zend/zend_language_scanner.l"
		{
	register char *s, *t;
	char *end;
	int bprefix = (yytext[0] != '\'') ? 1 : 0;

	zendlval->value.str.val = estrndup(yytext+bprefix+1, yyleng-bprefix-2);
	zendlval->value.str.len = yyleng-bprefix-2;
	zendlval->type = IS_STRING;

	/* convert escape sequences */
	s = t = zendlval->value.str.val;
	end = s+zendlval->value.str.len;
	while (s<end) {
		if (*s=='\\') {
			s++;

			switch(*s) {
				case '\\':
				case '\'':
					*t++ = *s;
					zendlval->value.str.len--;
					break;
				default:
					*t++ = '\\';
					*t++ = *s;
					break;
			}
		} else {
			*t++ = *s;
		}

		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			CG(zend_lineno)++;
		}
		s++;
	}
	*t = 0;

#ifdef ZEND_MULTIBYTE
	if (SCNG(output_filter)) {
		size_t sz = 0;
		s = zendlval->value.str.val;
		SCNG(output_filter)((unsigned char **)&(zendlval->value.str.val), &sz, (unsigned char *)s, (size_t)zendlval->value.str.len TSRMLS_CC);
		zendlval->value.str.len = sz;
		efree(s);
	}
#endif /* ZEND_MULTIBYTE */
	return T_CONSTANT_ENCAPSED_STRING;
}
#line 3964 "Zend/zend_language_scanner.c"
yy268:
		YYDEBUG(268, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(269, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy271;
		}
		if (yych <= '#') goto yy276;
		if (yych <= '$') goto yy270;
		if (yych <= 'z') goto yy273;
		goto yy268;
yy270:
		YYDEBUG(270, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 3) {
			if (yyaccept <= 1) {
				if (yyaccept <= 0) {
					goto yy205;
				} else {
					goto yy219;
				}
			} else {
				if (yyaccept <= 2) {
					goto yy251;
				} else {
					goto yy257;
				}
			}
		} else {
			if (yyaccept <= 5) {
				if (yyaccept <= 4) {
					goto yy259;
				} else {
					goto yy283;
				}
			} else {
				if (yyaccept <= 6) {
					goto yy327;
				} else {
					goto yy344;
				}
			}
		}
yy271:
		YYDEBUG(271, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy272:
		YYDEBUG(272, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy271;
		}
		if (yych <= '#') goto yy276;
		if (yych <= '$') goto yy274;
		if (yych >= '{') goto yy268;
yy273:
		YYDEBUG(273, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy271;
yy274:
		YYDEBUG(274, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(275, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy274;
		}
		if (yych <= '\\') {
			if (yych <= '@') {
				if (yych != '"') goto yy271;
			} else {
				if (yych <= 'Z') goto yy270;
				if (yych <= '[') goto yy271;
				goto yy278;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy270;
				goto yy271;
			} else {
				if (yych <= '{') goto yy270;
				if (yych <= '~') goto yy271;
				goto yy270;
			}
		}
yy276:
		YYDEBUG(276, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(277, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1834 "Zend/zend_language_scanner.l"
		{
	int bprefix = (yytext[0] != '"') ? 1 : 0;

	zend_scan_escape_string(zendlval, yytext+bprefix+1, yyleng-bprefix-2, '"' TSRMLS_CC);
	return T_CONSTANT_ENCAPSED_STRING;
}
#line 4068 "Zend/zend_language_scanner.c"
yy278:
		YYDEBUG(278, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy271;
yy279:
		YYDEBUG(279, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy280:
		YYDEBUG(280, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy279;
		}
		goto yy205;
yy281:
		YYDEBUG(281, *YYCURSOR);
		yyaccept = 5;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(282, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy281;
		}
		if (yych == 'E') goto yy286;
		if (yych == 'e') goto yy286;
yy283:
		YYDEBUG(283, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1442 "Zend/zend_language_scanner.l"
		{
	zendlval->value.dval = zend_strtod(yytext, NULL);
	zendlval->type = IS_DOUBLE;
	return T_DNUMBER;
}
#line 4107 "Zend/zend_language_scanner.c"
yy284:
		YYDEBUG(284, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(285, *YYCURSOR);
		if (yych <= '9') {
			if (yych == '.') goto yy281;
			if (yych <= '/') goto yy251;
			goto yy284;
		} else {
			if (yych <= 'E') {
				if (yych <= 'D') goto yy251;
			} else {
				if (yych != 'e') goto yy251;
			}
		}
yy286:
		YYDEBUG(286, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= ',') {
			if (yych != '+') goto yy270;
		} else {
			if (yych <= '-') goto yy287;
			if (yych <= '/') goto yy270;
			if (yych <= '9') goto yy288;
			goto yy270;
		}
yy287:
		YYDEBUG(287, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '/') goto yy270;
		if (yych >= ':') goto yy270;
yy288:
		YYDEBUG(288, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(289, *YYCURSOR);
		if (yych <= '/') goto yy283;
		if (yych <= '9') goto yy288;
		goto yy283;
yy290:
		YYDEBUG(290, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy291;
		}
		goto yy270;
yy291:
		YYDEBUG(291, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(292, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy291;
		}
		YYDEBUG(293, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1402 "Zend/zend_language_scanner.l"
		{
	char *hex = yytext + 2; /* Skip "0x" */
	int len = yyleng - 2;

	/* Skip any leading 0s */
	while (*hex == '0') {
		hex++;
		len--;
	}

	if (len < SIZEOF_LONG * 2 || (len == SIZEOF_LONG * 2 && *hex <= '7')) {
		zendlval->value.lval = strtol(hex, NULL, 16);
		zendlval->type = IS_LONG;
		return T_LNUMBER;
	} else {
		zendlval->value.dval = zend_hex_strtod(hex, NULL);
		zendlval->type = IS_DOUBLE;
		return T_DNUMBER;
	}
}
#line 4190 "Zend/zend_language_scanner.c"
yy294:
		YYDEBUG(294, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy296;
		if (yych == '\r') goto yy297;
yy295:
		YYDEBUG(295, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1809 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(INITIAL);
	return T_CLOSE_TAG;  /* implicit ';' at php-end tag */
}
#line 4207 "Zend/zend_language_scanner.c"
yy296:
		YYDEBUG(296, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy295;
yy297:
		YYDEBUG(297, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy296;
		goto yy295;
yy298:
		YYDEBUG(298, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(299, *YYCURSOR);
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy298;
			} else {
				if (yych <= '@') goto yy300;
				if (yych <= 'Z') goto yy298;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy298;
			} else {
				if (yych <= 'z') goto yy298;
				if (yych >= 0x7F) goto yy298;
			}
		}
yy300:
		YYDEBUG(300, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1695 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 4247 "Zend/zend_language_scanner.c"
yy301:
		YYDEBUG(301, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy302;
		if (yych != 'r') goto yy280;
yy302:
		YYDEBUG(302, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(303, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1326 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_XOR;
}
#line 4265 "Zend/zend_language_scanner.c"
yy304:
		YYDEBUG(304, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(305, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1318 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_OR;
}
#line 4278 "Zend/zend_language_scanner.c"
yy306:
		YYDEBUG(306, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(307, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1306 "Zend/zend_language_scanner.l"
		{
	return T_XOR_EQUAL;
}
#line 4288 "Zend/zend_language_scanner.c"
yy308:
		YYDEBUG(308, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(309, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1310 "Zend/zend_language_scanner.l"
		{
	return T_BOOLEAN_OR;
}
#line 4298 "Zend/zend_language_scanner.c"
yy310:
		YYDEBUG(310, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(311, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1302 "Zend/zend_language_scanner.l"
		{
	return T_OR_EQUAL;
}
#line 4308 "Zend/zend_language_scanner.c"
yy312:
		YYDEBUG(312, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(313, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1314 "Zend/zend_language_scanner.l"
		{
	return T_BOOLEAN_AND;
}
#line 4318 "Zend/zend_language_scanner.c"
yy314:
		YYDEBUG(314, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(315, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1298 "Zend/zend_language_scanner.l"
		{
	return T_AND_EQUAL;
}
#line 4328 "Zend/zend_language_scanner.c"
yy316:
		YYDEBUG(316, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy320;
		if (yych == '\r') goto yy321;
yy317:
		YYDEBUG(317, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1818 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags)) {
		BEGIN(INITIAL);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
		zendlval->value.str.val = yytext; /* no copying - intentional */
		return T_CLOSE_TAG;  /* implicit ';' at php-end tag */
	} else {
		yyless(1);
		return yytext[0];
	}
}
#line 4350 "Zend/zend_language_scanner.c"
yy318:
		YYDEBUG(318, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(319, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1286 "Zend/zend_language_scanner.l"
		{
	return T_MOD_EQUAL;
}
#line 4360 "Zend/zend_language_scanner.c"
yy320:
		YYDEBUG(320, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy317;
yy321:
		YYDEBUG(321, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy320;
		goto yy317;
yy322:
		YYDEBUG(322, *YYCURSOR);
		yyaccept = 5;
		YYMARKER = ++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(323, *YYCURSOR);
		if (yych <= 'D') {
			if (yych <= '/') goto yy283;
			if (yych <= '9') goto yy322;
			goto yy283;
		} else {
			if (yych <= 'E') goto yy286;
			if (yych == 'e') goto yy286;
			goto yy283;
		}
yy324:
		YYDEBUG(324, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(325, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1282 "Zend/zend_language_scanner.l"
		{
	return T_CONCAT_EQUAL;
}
#line 4395 "Zend/zend_language_scanner.c"
yy326:
		YYDEBUG(326, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych == '*') goto yy331;
yy327:
		YYDEBUG(327, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1781 "Zend/zend_language_scanner.l"
		{
	BEGIN(ST_COMMENT);
	yymore();
}
#line 4409 "Zend/zend_language_scanner.c"
yy328:
		YYDEBUG(328, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy255;
yy329:
		YYDEBUG(329, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(330, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1278 "Zend/zend_language_scanner.l"
		{
	return T_DIV_EQUAL;
}
#line 4423 "Zend/zend_language_scanner.c"
yy331:
		YYDEBUG(331, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 64) {
			goto yy332;
		}
		goto yy270;
yy332:
		YYDEBUG(332, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(333, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy332;
		}
		YYDEBUG(334, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1775 "Zend/zend_language_scanner.l"
		{
	RESET_DOC_COMMENT();
	BEGIN(ST_DOC_COMMENT);
	yymore();
}
#line 4448 "Zend/zend_language_scanner.c"
yy335:
		YYDEBUG(335, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(336, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1274 "Zend/zend_language_scanner.l"
		{
	return T_MUL_EQUAL;
}
#line 4458 "Zend/zend_language_scanner.c"
yy337:
		YYDEBUG(337, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy341;
		YYDEBUG(338, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1334 "Zend/zend_language_scanner.l"
		{
	return T_SR;
}
#line 4469 "Zend/zend_language_scanner.c"
yy339:
		YYDEBUG(339, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(340, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1262 "Zend/zend_language_scanner.l"
		{
	return T_IS_GREATER_OR_EQUAL;
}
#line 4479 "Zend/zend_language_scanner.c"
yy341:
		YYDEBUG(341, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(342, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1294 "Zend/zend_language_scanner.l"
		{
	return T_SR_EQUAL;
}
#line 4489 "Zend/zend_language_scanner.c"
yy343:
		YYDEBUG(343, *YYCURSOR);
		yyaccept = 7;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= ';') goto yy344;
		if (yych <= '<') goto yy359;
		if (yych <= '=') goto yy357;
yy344:
		YYDEBUG(344, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1330 "Zend/zend_language_scanner.l"
		{
	return T_SL;
}
#line 4504 "Zend/zend_language_scanner.c"
yy345:
		YYDEBUG(345, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy350;
		if (yych == 's') goto yy350;
		goto yy270;
yy346:
		YYDEBUG(346, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(347, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1258 "Zend/zend_language_scanner.l"
		{
	return T_IS_SMALLER_OR_EQUAL;
}
#line 4520 "Zend/zend_language_scanner.c"
yy348:
		YYDEBUG(348, *YYCURSOR);
		++YYCURSOR;
yy349:
		YYDEBUG(349, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1254 "Zend/zend_language_scanner.l"
		{
	return T_IS_NOT_EQUAL;
}
#line 4531 "Zend/zend_language_scanner.c"
yy350:
		YYDEBUG(350, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy351;
		if (yych != 'c') goto yy270;
yy351:
		YYDEBUG(351, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy352;
		if (yych != 'r') goto yy270;
yy352:
		YYDEBUG(352, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy353;
		if (yych != 'i') goto yy270;
yy353:
		YYDEBUG(353, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy354;
		if (yych != 'p') goto yy270;
yy354:
		YYDEBUG(354, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy355;
		if (yych != 't') goto yy270;
yy355:
		YYDEBUG(355, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
		YYDEBUG(356, *YYCURSOR);
		if (yych <= '\r') {
			if (yych <= 0x08) goto yy270;
			if (yych <= '\n') goto yy355;
			if (yych <= '\f') goto yy270;
			goto yy355;
		} else {
			if (yych <= ' ') {
				if (yych <= 0x1F) goto yy270;
				goto yy355;
			} else {
				if (yych == '>') goto yy294;
				goto yy270;
			}
		}
yy357:
		YYDEBUG(357, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(358, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1290 "Zend/zend_language_scanner.l"
		{
	return T_SL_EQUAL;
}
#line 4586 "Zend/zend_language_scanner.c"
yy359:
		YYDEBUG(359, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(360, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy359;
		}
		if (yych <= 'Z') {
			if (yych <= '&') {
				if (yych == '"') goto yy364;
				goto yy270;
			} else {
				if (yych <= '\'') goto yy363;
				if (yych <= '@') goto yy270;
			}
		} else {
			if (yych <= '`') {
				if (yych != '_') goto yy270;
			} else {
				if (yych <= 'z') goto yy361;
				if (yych <= '~') goto yy270;
			}
		}
yy361:
		YYDEBUG(361, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(362, *YYCURSOR);
		if (yych <= '@') {
			if (yych <= '\f') {
				if (yych == '\n') goto yy368;
				goto yy270;
			} else {
				if (yych <= '\r') goto yy370;
				if (yych <= '/') goto yy270;
				if (yych <= '9') goto yy361;
				goto yy270;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy361;
				if (yych <= '^') goto yy270;
				goto yy361;
			} else {
				if (yych <= '`') goto yy270;
				if (yych <= 'z') goto yy361;
				if (yych <= '~') goto yy270;
				goto yy361;
			}
		}
yy363:
		YYDEBUG(363, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\'') goto yy270;
		if (yych <= '/') goto yy372;
		if (yych <= '9') goto yy270;
		goto yy372;
yy364:
		YYDEBUG(364, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '"') goto yy270;
		if (yych <= '/') goto yy366;
		if (yych <= '9') goto yy270;
		goto yy366;
yy365:
		YYDEBUG(365, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy366:
		YYDEBUG(366, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych != '"') goto yy270;
			} else {
				if (yych <= '9') goto yy365;
				if (yych <= '@') goto yy270;
				goto yy365;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy365;
				goto yy270;
			} else {
				if (yych <= 'z') goto yy365;
				if (yych <= '~') goto yy270;
				goto yy365;
			}
		}
yy367:
		YYDEBUG(367, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy368;
		if (yych == '\r') goto yy370;
		goto yy270;
yy368:
		YYDEBUG(368, *YYCURSOR);
		++YYCURSOR;
yy369:
		YYDEBUG(369, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1899 "Zend/zend_language_scanner.l"
		{
	char *s;
	int bprefix = (yytext[0] != '<') ? 1 : 0;

	CG(zend_lineno)++;
	CG(heredoc_len) = yyleng-bprefix-3-1-(yytext[yyleng-2]=='\r'?1:0);
	s = yytext+bprefix+3;
	while ((*s == ' ') || (*s == '\t')) {
		s++;
		CG(heredoc_len)--;
	}

	if (*s == '\'') {
		s++;
		CG(heredoc_len) -= 2;

		BEGIN(ST_NOWDOC);
	} else {
		if (*s == '"') {
			s++;
			CG(heredoc_len) -= 2;
		}

		BEGIN(ST_HEREDOC);
	}

	CG(heredoc) = estrndup(s, CG(heredoc_len));

	/* Check for ending label on the next line */
	if (CG(heredoc_len) < YYLIMIT - YYCURSOR && !memcmp(YYCURSOR, s, CG(heredoc_len))) {
		char *end = YYCURSOR + CG(heredoc_len);

		if (*end == ';') {
			end++;
		}

		if (*end == '\n' || *end == '\r') {
			BEGIN(ST_END_HEREDOC);
		}
	}

	return T_START_HEREDOC;
}
#line 4735 "Zend/zend_language_scanner.c"
yy370:
		YYDEBUG(370, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy368;
		goto yy369;
yy371:
		YYDEBUG(371, *YYCURSOR);
		++YYCURSOR;
		YYFILL(3);
		yych = *YYCURSOR;
yy372:
		YYDEBUG(372, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych == '\'') goto yy367;
				goto yy270;
			} else {
				if (yych <= '9') goto yy371;
				if (yych <= '@') goto yy270;
				goto yy371;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy371;
				goto yy270;
			} else {
				if (yych <= 'z') goto yy371;
				if (yych <= '~') goto yy270;
				goto yy371;
			}
		}
yy373:
		YYDEBUG(373, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '=') goto yy349;
		YYDEBUG(374, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(375, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1246 "Zend/zend_language_scanner.l"
		{
	return T_IS_NOT_IDENTICAL;
}
#line 4779 "Zend/zend_language_scanner.c"
yy376:
		YYDEBUG(376, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(377, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1266 "Zend/zend_language_scanner.l"
		{
	return T_PLUS_EQUAL;
}
#line 4789 "Zend/zend_language_scanner.c"
yy378:
		YYDEBUG(378, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(379, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1234 "Zend/zend_language_scanner.l"
		{
	return T_INC;
}
#line 4799 "Zend/zend_language_scanner.c"
yy380:
		YYDEBUG(380, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy381;
		if (yych != 's') goto yy280;
yy381:
		YYDEBUG(381, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy382;
		if (yych != 't') goto yy280;
yy382:
		YYDEBUG(382, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(383, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1226 "Zend/zend_language_scanner.l"
		{
	return T_LIST;
}
#line 4822 "Zend/zend_language_scanner.c"
yy384:
		YYDEBUG(384, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '=') goto yy388;
		YYDEBUG(385, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1250 "Zend/zend_language_scanner.l"
		{
	return T_IS_EQUAL;
}
#line 4833 "Zend/zend_language_scanner.c"
yy386:
		YYDEBUG(386, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(387, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1222 "Zend/zend_language_scanner.l"
		{
	return T_DOUBLE_ARROW;
}
#line 4843 "Zend/zend_language_scanner.c"
yy388:
		YYDEBUG(388, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(389, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1242 "Zend/zend_language_scanner.l"
		{
	return T_IS_IDENTICAL;
}
#line 4853 "Zend/zend_language_scanner.c"
yy390:
		YYDEBUG(390, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'H') {
			if (yych <= 'D') {
				if (yych <= 'B') goto yy280;
				if (yych <= 'C') goto yy392;
				goto yy396;
			} else {
				if (yych == 'F') goto yy393;
				if (yych <= 'G') goto yy280;
			}
		} else {
			if (yych <= 'M') {
				if (yych <= 'K') goto yy280;
				if (yych <= 'L') goto yy395;
				goto yy394;
			} else {
				if (yych <= 'N') goto yy397;
				if (yych != 'h') goto yy280;
			}
		}
		YYDEBUG(391, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy451;
		if (yych == 'a') goto yy451;
		goto yy280;
yy392:
		YYDEBUG(392, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy444;
		goto yy280;
yy393:
		YYDEBUG(393, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy428;
		if (yych == 'U') goto yy429;
		goto yy280;
yy394:
		YYDEBUG(394, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy420;
		goto yy280;
yy395:
		YYDEBUG(395, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy414;
		goto yy280;
yy396:
		YYDEBUG(396, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy409;
		goto yy280;
yy397:
		YYDEBUG(397, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'A') goto yy280;
		YYDEBUG(398, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'M') goto yy280;
		YYDEBUG(399, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'E') goto yy280;
		YYDEBUG(400, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'S') goto yy280;
		YYDEBUG(401, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'P') goto yy280;
		YYDEBUG(402, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'A') goto yy280;
		YYDEBUG(403, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'C') goto yy280;
		YYDEBUG(404, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'E') goto yy280;
		YYDEBUG(405, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(406, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(407, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(408, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1546 "Zend/zend_language_scanner.l"
		{
	if (CG(current_namespace)) {
		*zendlval = *CG(current_namespace);
		zval_copy_ctor(zendlval);
	} else {
		ZVAL_EMPTY_STRING(zendlval);
	}
	return T_NS_C;
}
#line 4955 "Zend/zend_language_scanner.c"
yy409:
		YYDEBUG(409, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'R') goto yy280;
		YYDEBUG(410, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(411, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(412, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(413, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1519 "Zend/zend_language_scanner.l"
		{
	char *filename = zend_get_compiled_filename(TSRMLS_C);
	const size_t filename_len = strlen(filename);
	char *dirname;

	if (!filename) {
		filename = "";
	}

	dirname = estrndup(filename, filename_len);
	zend_dirname(dirname, filename_len);

	if (strcmp(dirname, ".") == 0) {
		dirname = erealloc(dirname, MAXPATHLEN);
#if HAVE_GETCWD
		VCWD_GETCWD(dirname, MAXPATHLEN);
#elif HAVE_GETWD
		VCWD_GETWD(dirname);
#endif
	}

	zendlval->value.str.len = strlen(dirname);
	zendlval->value.str.val = dirname;
	zendlval->type = IS_STRING;
	return T_DIR;
}
#line 5000 "Zend/zend_language_scanner.c"
yy414:
		YYDEBUG(414, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'N') goto yy280;
		YYDEBUG(415, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'E') goto yy280;
		YYDEBUG(416, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(417, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(418, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(419, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1501 "Zend/zend_language_scanner.l"
		{
	zendlval->value.lval = CG(zend_lineno);
	zendlval->type = IS_LONG;
	return T_LINE;
}
#line 5027 "Zend/zend_language_scanner.c"
yy420:
		YYDEBUG(420, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'T') goto yy280;
		YYDEBUG(421, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'H') goto yy280;
		YYDEBUG(422, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'O') goto yy280;
		YYDEBUG(423, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'D') goto yy280;
		YYDEBUG(424, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(425, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(426, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(427, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1480 "Zend/zend_language_scanner.l"
		{
	char *class_name = CG(active_class_entry) ? CG(active_class_entry)->name : NULL;
	char *func_name = CG(active_op_array)? CG(active_op_array)->function_name : NULL;
	size_t len = 0;

	if (class_name) {
		len += strlen(class_name) + 2;
	}
	if (func_name) {
		len += strlen(func_name);
	}

	zendlval->value.str.len = zend_spprintf(&zendlval->value.str.val, 0, "%s%s%s", 
		class_name ? class_name : "",
		class_name && func_name ? "::" : "",
		func_name ? func_name : ""
		);
	zendlval->type = IS_STRING;
	return T_METHOD_C;
}
#line 5075 "Zend/zend_language_scanner.c"
yy428:
		YYDEBUG(428, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy439;
		goto yy280;
yy429:
		YYDEBUG(429, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'N') goto yy280;
		YYDEBUG(430, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'C') goto yy280;
		YYDEBUG(431, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'T') goto yy280;
		YYDEBUG(432, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'I') goto yy280;
		YYDEBUG(433, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'O') goto yy280;
		YYDEBUG(434, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'N') goto yy280;
		YYDEBUG(435, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(436, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(437, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(438, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1464 "Zend/zend_language_scanner.l"
		{
	char *func_name = NULL;

	if (CG(active_op_array)) {
		func_name = CG(active_op_array)->function_name;
	}

	if (!func_name) {
		func_name = "";
	}
	zendlval->value.str.len = strlen(func_name);
	zendlval->value.str.val = estrndup(func_name, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_FUNC_C;
}
#line 5129 "Zend/zend_language_scanner.c"
yy439:
		YYDEBUG(439, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'E') goto yy280;
		YYDEBUG(440, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(441, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(442, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(443, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1507 "Zend/zend_language_scanner.l"
		{
	char *filename = zend_get_compiled_filename(TSRMLS_C);

	if (!filename) {
		filename = "";
	}
	zendlval->value.str.len = strlen(filename);
	zendlval->value.str.val = estrndup(filename, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_FILE;
}
#line 5159 "Zend/zend_language_scanner.c"
yy444:
		YYDEBUG(444, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'A') goto yy280;
		YYDEBUG(445, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'S') goto yy280;
		YYDEBUG(446, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != 'S') goto yy280;
		YYDEBUG(447, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(448, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(449, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(450, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1448 "Zend/zend_language_scanner.l"
		{
	char *class_name = NULL;

	if (CG(active_class_entry)) {
		class_name = CG(active_class_entry)->name;
	}

	if (!class_name) {
		class_name = "";
	}
	zendlval->value.str.len = strlen(class_name);
	zendlval->value.str.val = estrndup(class_name, zendlval->value.str.len);
	zendlval->type = IS_STRING;
	return T_CLASS_C;
}
#line 5199 "Zend/zend_language_scanner.c"
yy451:
		YYDEBUG(451, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy452;
		if (yych != 'l') goto yy280;
yy452:
		YYDEBUG(452, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy453;
		if (yych != 't') goto yy280;
yy453:
		YYDEBUG(453, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '_') goto yy280;
		YYDEBUG(454, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy455;
		if (yych != 'c') goto yy280;
yy455:
		YYDEBUG(455, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy456;
		if (yych != 'o') goto yy280;
yy456:
		YYDEBUG(456, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy457;
		if (yych != 'm') goto yy280;
yy457:
		YYDEBUG(457, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy458;
		if (yych != 'p') goto yy280;
yy458:
		YYDEBUG(458, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy459;
		if (yych != 'i') goto yy280;
yy459:
		YYDEBUG(459, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy460;
		if (yych != 'l') goto yy280;
yy460:
		YYDEBUG(460, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy461;
		if (yych != 'e') goto yy280;
yy461:
		YYDEBUG(461, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy462;
		if (yych != 'r') goto yy280;
yy462:
		YYDEBUG(462, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(463, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1190 "Zend/zend_language_scanner.l"
		{
	return T_HALT_COMPILER;
}
#line 5265 "Zend/zend_language_scanner.c"
yy464:
		YYDEBUG(464, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy468;
		if (yych == 's') goto yy468;
		goto yy280;
yy465:
		YYDEBUG(465, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy466;
		if (yych != 'e') goto yy280;
yy466:
		YYDEBUG(466, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(467, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1174 "Zend/zend_language_scanner.l"
		{
	return T_USE;
}
#line 5289 "Zend/zend_language_scanner.c"
yy468:
		YYDEBUG(468, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy469;
		if (yych != 'e') goto yy280;
yy469:
		YYDEBUG(469, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy470;
		if (yych != 't') goto yy280;
yy470:
		YYDEBUG(470, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(471, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1218 "Zend/zend_language_scanner.l"
		{
	return T_UNSET;
}
#line 5312 "Zend/zend_language_scanner.c"
yy472:
		YYDEBUG(472, *YYCURSOR);
		++YYCURSOR;
		YYFILL(7);
		yych = *YYCURSOR;
yy473:
		YYDEBUG(473, *YYCURSOR);
		if (yych <= 'S') {
			if (yych <= 'D') {
				if (yych <= ' ') {
					if (yych == '\t') goto yy472;
					if (yych <= 0x1F) goto yy270;
					goto yy472;
				} else {
					if (yych <= 'A') {
						if (yych <= '@') goto yy270;
						goto yy477;
					} else {
						if (yych <= 'B') goto yy475;
						if (yych <= 'C') goto yy270;
						goto yy480;
					}
				}
			} else {
				if (yych <= 'I') {
					if (yych == 'F') goto yy481;
					if (yych <= 'H') goto yy270;
					goto yy482;
				} else {
					if (yych <= 'O') {
						if (yych <= 'N') goto yy270;
						goto yy476;
					} else {
						if (yych <= 'Q') goto yy270;
						if (yych <= 'R') goto yy479;
						goto yy478;
					}
				}
			}
		} else {
			if (yych <= 'f') {
				if (yych <= 'a') {
					if (yych == 'U') goto yy474;
					if (yych <= '`') goto yy270;
					goto yy477;
				} else {
					if (yych <= 'c') {
						if (yych <= 'b') goto yy475;
						goto yy270;
					} else {
						if (yych <= 'd') goto yy480;
						if (yych <= 'e') goto yy270;
						goto yy481;
					}
				}
			} else {
				if (yych <= 'q') {
					if (yych <= 'i') {
						if (yych <= 'h') goto yy270;
						goto yy482;
					} else {
						if (yych == 'o') goto yy476;
						goto yy270;
					}
				} else {
					if (yych <= 's') {
						if (yych <= 'r') goto yy479;
						goto yy478;
					} else {
						if (yych != 'u') goto yy270;
					}
				}
			}
		}
yy474:
		YYDEBUG(474, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy545;
		if (yych == 'n') goto yy545;
		goto yy270;
yy475:
		YYDEBUG(475, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'I') goto yy528;
			if (yych <= 'N') goto yy270;
			goto yy529;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy270;
				goto yy528;
			} else {
				if (yych == 'o') goto yy529;
				goto yy270;
			}
		}
yy476:
		YYDEBUG(476, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy520;
		if (yych == 'b') goto yy520;
		goto yy270;
yy477:
		YYDEBUG(477, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy513;
		if (yych == 'r') goto yy513;
		goto yy270;
yy478:
		YYDEBUG(478, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy505;
		if (yych == 't') goto yy505;
		goto yy270;
yy479:
		YYDEBUG(479, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy503;
		if (yych == 'e') goto yy503;
		goto yy270;
yy480:
		YYDEBUG(480, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy499;
		if (yych == 'o') goto yy499;
		goto yy270;
yy481:
		YYDEBUG(481, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy492;
		if (yych == 'l') goto yy492;
		goto yy270;
yy482:
		YYDEBUG(482, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy483;
		if (yych != 'n') goto yy270;
yy483:
		YYDEBUG(483, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy484;
		if (yych != 't') goto yy270;
yy484:
		YYDEBUG(484, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy485;
		if (yych != 'e') goto yy487;
yy485:
		YYDEBUG(485, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy490;
		if (yych == 'g') goto yy490;
		goto yy270;
yy486:
		YYDEBUG(486, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy487:
		YYDEBUG(487, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy486;
			goto yy270;
		} else {
			if (yych <= ' ') goto yy486;
			if (yych != ')') goto yy270;
		}
		YYDEBUG(488, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(489, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1118 "Zend/zend_language_scanner.l"
		{
	return T_INT_CAST;
}
#line 5488 "Zend/zend_language_scanner.c"
yy490:
		YYDEBUG(490, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy491;
		if (yych != 'e') goto yy270;
yy491:
		YYDEBUG(491, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy486;
		if (yych == 'r') goto yy486;
		goto yy270;
yy492:
		YYDEBUG(492, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy493;
		if (yych != 'o') goto yy270;
yy493:
		YYDEBUG(493, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy494;
		if (yych != 'a') goto yy270;
yy494:
		YYDEBUG(494, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy495;
		if (yych != 't') goto yy270;
yy495:
		YYDEBUG(495, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(496, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy495;
			goto yy270;
		} else {
			if (yych <= ' ') goto yy495;
			if (yych != ')') goto yy270;
		}
		YYDEBUG(497, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(498, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1122 "Zend/zend_language_scanner.l"
		{
	return T_DOUBLE_CAST;
}
#line 5536 "Zend/zend_language_scanner.c"
yy499:
		YYDEBUG(499, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy500;
		if (yych != 'u') goto yy270;
yy500:
		YYDEBUG(500, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy501;
		if (yych != 'b') goto yy270;
yy501:
		YYDEBUG(501, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy502;
		if (yych != 'l') goto yy270;
yy502:
		YYDEBUG(502, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy495;
		if (yych == 'e') goto yy495;
		goto yy270;
yy503:
		YYDEBUG(503, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy504;
		if (yych != 'a') goto yy270;
yy504:
		YYDEBUG(504, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy495;
		if (yych == 'l') goto yy495;
		goto yy270;
yy505:
		YYDEBUG(505, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy506;
		if (yych != 'r') goto yy270;
yy506:
		YYDEBUG(506, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy507;
		if (yych != 'i') goto yy270;
yy507:
		YYDEBUG(507, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy508;
		if (yych != 'n') goto yy270;
yy508:
		YYDEBUG(508, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'G') goto yy509;
		if (yych != 'g') goto yy270;
yy509:
		YYDEBUG(509, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(510, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy509;
			goto yy270;
		} else {
			if (yych <= ' ') goto yy509;
			if (yych != ')') goto yy270;
		}
		YYDEBUG(511, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(512, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1126 "Zend/zend_language_scanner.l"
		{
	return T_STRING_CAST;
}
#line 5610 "Zend/zend_language_scanner.c"
yy513:
		YYDEBUG(513, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy514;
		if (yych != 'r') goto yy270;
yy514:
		YYDEBUG(514, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy515;
		if (yych != 'a') goto yy270;
yy515:
		YYDEBUG(515, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy516;
		if (yych != 'y') goto yy270;
yy516:
		YYDEBUG(516, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(517, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy516;
			goto yy270;
		} else {
			if (yych <= ' ') goto yy516;
			if (yych != ')') goto yy270;
		}
		YYDEBUG(518, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(519, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1134 "Zend/zend_language_scanner.l"
		{
	return T_ARRAY_CAST;
}
#line 5647 "Zend/zend_language_scanner.c"
yy520:
		YYDEBUG(520, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'J') goto yy521;
		if (yych != 'j') goto yy270;
yy521:
		YYDEBUG(521, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy522;
		if (yych != 'e') goto yy270;
yy522:
		YYDEBUG(522, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy523;
		if (yych != 'c') goto yy270;
yy523:
		YYDEBUG(523, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy524;
		if (yych != 't') goto yy270;
yy524:
		YYDEBUG(524, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(525, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy524;
			goto yy270;
		} else {
			if (yych <= ' ') goto yy524;
			if (yych != ')') goto yy270;
		}
		YYDEBUG(526, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(527, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1138 "Zend/zend_language_scanner.l"
		{
	return T_OBJECT_CAST;
}
#line 5689 "Zend/zend_language_scanner.c"
yy528:
		YYDEBUG(528, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy538;
		if (yych == 'n') goto yy538;
		goto yy270;
yy529:
		YYDEBUG(529, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy530;
		if (yych != 'o') goto yy270;
yy530:
		YYDEBUG(530, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy531;
		if (yych != 'l') goto yy270;
yy531:
		YYDEBUG(531, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy536;
		if (yych == 'e') goto yy536;
		goto yy533;
yy532:
		YYDEBUG(532, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy533:
		YYDEBUG(533, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy532;
			goto yy270;
		} else {
			if (yych <= ' ') goto yy532;
			if (yych != ')') goto yy270;
		}
		YYDEBUG(534, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(535, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1142 "Zend/zend_language_scanner.l"
		{
	return T_BOOL_CAST;
}
#line 5734 "Zend/zend_language_scanner.c"
yy536:
		YYDEBUG(536, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy537;
		if (yych != 'a') goto yy270;
yy537:
		YYDEBUG(537, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy532;
		if (yych == 'n') goto yy532;
		goto yy270;
yy538:
		YYDEBUG(538, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy539;
		if (yych != 'a') goto yy270;
yy539:
		YYDEBUG(539, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy540;
		if (yych != 'r') goto yy270;
yy540:
		YYDEBUG(540, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy541;
		if (yych != 'y') goto yy270;
yy541:
		YYDEBUG(541, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(542, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy541;
			goto yy270;
		} else {
			if (yych <= ' ') goto yy541;
			if (yych != ')') goto yy270;
		}
		YYDEBUG(543, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(544, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1130 "Zend/zend_language_scanner.l"
		{
	return T_STRING_CAST;
}
#line 5782 "Zend/zend_language_scanner.c"
yy545:
		YYDEBUG(545, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy546;
		if (yych != 's') goto yy270;
yy546:
		YYDEBUG(546, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy547;
		if (yych != 'e') goto yy270;
yy547:
		YYDEBUG(547, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy548;
		if (yych != 't') goto yy270;
yy548:
		YYDEBUG(548, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(549, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy548;
			goto yy270;
		} else {
			if (yych <= ' ') goto yy548;
			if (yych != ')') goto yy270;
		}
		YYDEBUG(550, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(551, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1146 "Zend/zend_language_scanner.l"
		{
	return T_UNSET_CAST;
}
#line 5819 "Zend/zend_language_scanner.c"
yy552:
		YYDEBUG(552, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy553;
		if (yych != 'r') goto yy280;
yy553:
		YYDEBUG(553, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(554, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1114 "Zend/zend_language_scanner.l"
		{
	return T_VAR;
}
#line 5837 "Zend/zend_language_scanner.c"
yy555:
		YYDEBUG(555, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy559;
		if (yych == 'm') goto yy559;
		goto yy280;
yy556:
		YYDEBUG(556, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy557;
		if (yych != 'w') goto yy280;
yy557:
		YYDEBUG(557, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(558, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1106 "Zend/zend_language_scanner.l"
		{
	return T_NEW;
}
#line 5861 "Zend/zend_language_scanner.c"
yy559:
		YYDEBUG(559, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy560;
		if (yych != 'e') goto yy280;
yy560:
		YYDEBUG(560, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy561;
		if (yych != 's') goto yy280;
yy561:
		YYDEBUG(561, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy562;
		if (yych != 'p') goto yy280;
yy562:
		YYDEBUG(562, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy563;
		if (yych != 'a') goto yy280;
yy563:
		YYDEBUG(563, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy564;
		if (yych != 'c') goto yy280;
yy564:
		YYDEBUG(564, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy565;
		if (yych != 'e') goto yy280;
yy565:
		YYDEBUG(565, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(566, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1170 "Zend/zend_language_scanner.l"
		{
	return T_NAMESPACE;
}
#line 5904 "Zend/zend_language_scanner.c"
yy567:
		YYDEBUG(567, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(568, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1102 "Zend/zend_language_scanner.l"
		{
	return T_PAAMAYIM_NEKUDOTAYIM;
}
#line 5914 "Zend/zend_language_scanner.c"
yy569:
		YYDEBUG(569, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy570:
		YYDEBUG(570, *YYCURSOR);
		if (yych <= '\f') {
			if (yych <= 0x08) goto yy221;
			if (yych <= '\n') goto yy569;
			goto yy221;
		} else {
			if (yych <= '\r') goto yy569;
			if (yych == ' ') goto yy569;
			goto yy221;
		}
yy571:
		YYDEBUG(571, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(572, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1270 "Zend/zend_language_scanner.l"
		{
	return T_MINUS_EQUAL;
}
#line 5940 "Zend/zend_language_scanner.c"
yy573:
		YYDEBUG(573, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(574, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1238 "Zend/zend_language_scanner.l"
		{
	return T_DEC;
}
#line 5950 "Zend/zend_language_scanner.c"
yy575:
		YYDEBUG(575, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(576, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1072 "Zend/zend_language_scanner.l"
		{
	yy_push_state(ST_LOOKING_FOR_PROPERTY TSRMLS_CC);
	return T_OBJECT_OPERATOR;
}
#line 5961 "Zend/zend_language_scanner.c"
yy577:
		YYDEBUG(577, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'I') goto yy584;
			if (yych <= 'N') goto yy280;
			goto yy585;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy280;
				goto yy584;
			} else {
				if (yych == 'o') goto yy585;
				goto yy280;
			}
		}
yy578:
		YYDEBUG(578, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy579;
		if (yych != 'b') goto yy280;
yy579:
		YYDEBUG(579, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy580;
		if (yych != 'l') goto yy280;
yy580:
		YYDEBUG(580, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy581;
		if (yych != 'i') goto yy280;
yy581:
		YYDEBUG(581, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy582;
		if (yych != 'c') goto yy280;
yy582:
		YYDEBUG(582, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(583, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1214 "Zend/zend_language_scanner.l"
		{
	return T_PUBLIC;
}
#line 6010 "Zend/zend_language_scanner.c"
yy584:
		YYDEBUG(584, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'V') {
			if (yych == 'N') goto yy593;
			if (yych <= 'U') goto yy280;
			goto yy594;
		} else {
			if (yych <= 'n') {
				if (yych <= 'm') goto yy280;
				goto yy593;
			} else {
				if (yych == 'v') goto yy594;
				goto yy280;
			}
		}
yy585:
		YYDEBUG(585, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy586;
		if (yych != 't') goto yy280;
yy586:
		YYDEBUG(586, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy587;
		if (yych != 'e') goto yy280;
yy587:
		YYDEBUG(587, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy588;
		if (yych != 'c') goto yy280;
yy588:
		YYDEBUG(588, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy589;
		if (yych != 't') goto yy280;
yy589:
		YYDEBUG(589, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy590;
		if (yych != 'e') goto yy280;
yy590:
		YYDEBUG(590, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy591;
		if (yych != 'd') goto yy280;
yy591:
		YYDEBUG(591, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(592, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1210 "Zend/zend_language_scanner.l"
		{
	return T_PROTECTED;
}
#line 6069 "Zend/zend_language_scanner.c"
yy593:
		YYDEBUG(593, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy599;
		if (yych == 't') goto yy599;
		goto yy280;
yy594:
		YYDEBUG(594, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy595;
		if (yych != 'a') goto yy280;
yy595:
		YYDEBUG(595, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy596;
		if (yych != 't') goto yy280;
yy596:
		YYDEBUG(596, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy597;
		if (yych != 'e') goto yy280;
yy597:
		YYDEBUG(597, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(598, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1206 "Zend/zend_language_scanner.l"
		{
	return T_PRIVATE;
}
#line 6103 "Zend/zend_language_scanner.c"
yy599:
		YYDEBUG(599, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(600, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1052 "Zend/zend_language_scanner.l"
		{
	return T_PRINT;
}
#line 6116 "Zend/zend_language_scanner.c"
yy601:
		YYDEBUG(601, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy606;
		if (yych == 'o') goto yy606;
		goto yy280;
yy602:
		YYDEBUG(602, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy603;
		if (yych != 't') goto yy280;
yy603:
		YYDEBUG(603, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy604;
		if (yych != 'o') goto yy280;
yy604:
		YYDEBUG(604, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(605, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1044 "Zend/zend_language_scanner.l"
		{
	return T_GOTO;
}
#line 6145 "Zend/zend_language_scanner.c"
yy606:
		YYDEBUG(606, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'B') goto yy607;
		if (yych != 'b') goto yy280;
yy607:
		YYDEBUG(607, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy608;
		if (yych != 'a') goto yy280;
yy608:
		YYDEBUG(608, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy609;
		if (yych != 'l') goto yy280;
yy609:
		YYDEBUG(609, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(610, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1178 "Zend/zend_language_scanner.l"
		{
	return T_GLOBAL;
}
#line 6173 "Zend/zend_language_scanner.c"
yy611:
		YYDEBUG(611, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '<') goto yy618;
		goto yy270;
yy612:
		YYDEBUG(612, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy272;
yy613:
		YYDEBUG(613, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy614;
		if (yych != 'e') goto yy280;
yy614:
		YYDEBUG(614, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy615;
		if (yych != 'a') goto yy280;
yy615:
		YYDEBUG(615, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'K') goto yy616;
		if (yych != 'k') goto yy280;
yy616:
		YYDEBUG(616, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(617, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1036 "Zend/zend_language_scanner.l"
		{
	return T_BREAK;
}
#line 6211 "Zend/zend_language_scanner.c"
yy618:
		YYDEBUG(618, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '<') goto yy359;
		goto yy270;
yy619:
		YYDEBUG(619, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy626;
		if (yych == 'a') goto yy626;
		goto yy280;
yy620:
		YYDEBUG(620, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy621;
		if (yych != 'i') goto yy280;
yy621:
		YYDEBUG(621, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy622;
		if (yych != 't') goto yy280;
yy622:
		YYDEBUG(622, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy623;
		if (yych != 'c') goto yy280;
yy623:
		YYDEBUG(623, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy624;
		if (yych != 'h') goto yy280;
yy624:
		YYDEBUG(624, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(625, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1020 "Zend/zend_language_scanner.l"
		{
	return T_SWITCH;
}
#line 6255 "Zend/zend_language_scanner.c"
yy626:
		YYDEBUG(626, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy627;
		if (yych != 't') goto yy280;
yy627:
		YYDEBUG(627, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy628;
		if (yych != 'i') goto yy280;
yy628:
		YYDEBUG(628, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy629;
		if (yych != 'c') goto yy280;
yy629:
		YYDEBUG(629, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(630, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1194 "Zend/zend_language_scanner.l"
		{
	return T_STATIC;
}
#line 6283 "Zend/zend_language_scanner.c"
yy631:
		YYDEBUG(631, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy642;
		if (yych == 's') goto yy642;
		goto yy280;
yy632:
		YYDEBUG(632, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy640;
		if (yych == 'd') goto yy640;
		goto yy280;
yy633:
		YYDEBUG(633, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy636;
		if (yych == 'r') goto yy636;
		goto yy280;
yy634:
		YYDEBUG(634, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(635, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1016 "Zend/zend_language_scanner.l"
		{
	return T_AS;
}
#line 6314 "Zend/zend_language_scanner.c"
yy636:
		YYDEBUG(636, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy637;
		if (yych != 'a') goto yy280;
yy637:
		YYDEBUG(637, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy638;
		if (yych != 'y') goto yy280;
yy638:
		YYDEBUG(638, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(639, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1230 "Zend/zend_language_scanner.l"
		{
	return T_ARRAY;
}
#line 6337 "Zend/zend_language_scanner.c"
yy640:
		YYDEBUG(640, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(641, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1322 "Zend/zend_language_scanner.l"
		{
	return T_LOGICAL_AND;
}
#line 6350 "Zend/zend_language_scanner.c"
yy642:
		YYDEBUG(642, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy643;
		if (yych != 't') goto yy280;
yy643:
		YYDEBUG(643, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy644;
		if (yych != 'r') goto yy280;
yy644:
		YYDEBUG(644, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy645;
		if (yych != 'a') goto yy280;
yy645:
		YYDEBUG(645, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy646;
		if (yych != 'c') goto yy280;
yy646:
		YYDEBUG(646, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy647;
		if (yych != 't') goto yy280;
yy647:
		YYDEBUG(647, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(648, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1198 "Zend/zend_language_scanner.l"
		{
	return T_ABSTRACT;
}
#line 6388 "Zend/zend_language_scanner.c"
yy649:
		YYDEBUG(649, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy650;
		if (yych != 'i') goto yy280;
yy650:
		YYDEBUG(650, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy651;
		if (yych != 'l') goto yy280;
yy651:
		YYDEBUG(651, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy652;
		if (yych != 'e') goto yy280;
yy652:
		YYDEBUG(652, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(653, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 976 "Zend/zend_language_scanner.l"
		{
	return T_WHILE;
}
#line 6416 "Zend/zend_language_scanner.c"
yy654:
		YYDEBUG(654, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(655, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 960 "Zend/zend_language_scanner.l"
		{
	return T_IF;
}
#line 6429 "Zend/zend_language_scanner.c"
yy656:
		YYDEBUG(656, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy692;
		if (yych == 'p') goto yy692;
		goto yy280;
yy657:
		YYDEBUG(657, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'C') {
				if (yych <= 'B') goto yy280;
				goto yy665;
			} else {
				if (yych <= 'R') goto yy280;
				if (yych <= 'S') goto yy663;
				goto yy664;
			}
		} else {
			if (yych <= 'r') {
				if (yych == 'c') goto yy665;
				goto yy280;
			} else {
				if (yych <= 's') goto yy663;
				if (yych <= 't') goto yy664;
				goto yy280;
			}
		}
yy658:
		YYDEBUG(658, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy659;
		if (yych != 's') goto yy280;
yy659:
		YYDEBUG(659, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy660;
		if (yych != 'e') goto yy280;
yy660:
		YYDEBUG(660, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy661;
		if (yych != 't') goto yy280;
yy661:
		YYDEBUG(661, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(662, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1182 "Zend/zend_language_scanner.l"
		{
	return T_ISSET;
}
#line 6485 "Zend/zend_language_scanner.c"
yy663:
		YYDEBUG(663, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy684;
		if (yych == 't') goto yy684;
		goto yy280;
yy664:
		YYDEBUG(664, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy677;
		if (yych == 'e') goto yy677;
		goto yy280;
yy665:
		YYDEBUG(665, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy666;
		if (yych != 'l') goto yy280;
yy666:
		YYDEBUG(666, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy667;
		if (yych != 'u') goto yy280;
yy667:
		YYDEBUG(667, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy668;
		if (yych != 'd') goto yy280;
yy668:
		YYDEBUG(668, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy669;
		if (yych != 'e') goto yy280;
yy669:
		YYDEBUG(669, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy279;
			} else {
				if (yych <= '@') goto yy670;
				if (yych <= 'Z') goto yy279;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy671;
			} else {
				if (yych <= 'z') goto yy279;
				if (yych >= 0x7F) goto yy279;
			}
		}
yy670:
		YYDEBUG(670, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1154 "Zend/zend_language_scanner.l"
		{
	return T_INCLUDE;
}
#line 6543 "Zend/zend_language_scanner.c"
yy671:
		YYDEBUG(671, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy672;
		if (yych != 'o') goto yy280;
yy672:
		YYDEBUG(672, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy673;
		if (yych != 'n') goto yy280;
yy673:
		YYDEBUG(673, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy674;
		if (yych != 'c') goto yy280;
yy674:
		YYDEBUG(674, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy675;
		if (yych != 'e') goto yy280;
yy675:
		YYDEBUG(675, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(676, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1158 "Zend/zend_language_scanner.l"
		{
	return T_INCLUDE_ONCE;
}
#line 6576 "Zend/zend_language_scanner.c"
yy677:
		YYDEBUG(677, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy678;
		if (yych != 'r') goto yy280;
yy678:
		YYDEBUG(678, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy679;
		if (yych != 'f') goto yy280;
yy679:
		YYDEBUG(679, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy680;
		if (yych != 'a') goto yy280;
yy680:
		YYDEBUG(680, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy681;
		if (yych != 'c') goto yy280;
yy681:
		YYDEBUG(681, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy682;
		if (yych != 'e') goto yy280;
yy682:
		YYDEBUG(682, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(683, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1060 "Zend/zend_language_scanner.l"
		{
	return T_INTERFACE;
}
#line 6614 "Zend/zend_language_scanner.c"
yy684:
		YYDEBUG(684, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy685;
		if (yych != 'a') goto yy280;
yy685:
		YYDEBUG(685, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy686;
		if (yych != 'n') goto yy280;
yy686:
		YYDEBUG(686, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy687;
		if (yych != 'c') goto yy280;
yy687:
		YYDEBUG(687, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy688;
		if (yych != 'e') goto yy280;
yy688:
		YYDEBUG(688, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy689;
		if (yych != 'o') goto yy280;
yy689:
		YYDEBUG(689, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy690;
		if (yych != 'f') goto yy280;
yy690:
		YYDEBUG(690, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(691, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1012 "Zend/zend_language_scanner.l"
		{
	return T_INSTANCEOF;
}
#line 6657 "Zend/zend_language_scanner.c"
yy692:
		YYDEBUG(692, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy693;
		if (yych != 'l') goto yy280;
yy693:
		YYDEBUG(693, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy694;
		if (yych != 'e') goto yy280;
yy694:
		YYDEBUG(694, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'M') goto yy695;
		if (yych != 'm') goto yy280;
yy695:
		YYDEBUG(695, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy696;
		if (yych != 'e') goto yy280;
yy696:
		YYDEBUG(696, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy697;
		if (yych != 'n') goto yy280;
yy697:
		YYDEBUG(697, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy698;
		if (yych != 't') goto yy280;
yy698:
		YYDEBUG(698, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy699;
		if (yych != 's') goto yy280;
yy699:
		YYDEBUG(699, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(700, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1068 "Zend/zend_language_scanner.l"
		{
	return T_IMPLEMENTS;
}
#line 6705 "Zend/zend_language_scanner.c"
yy701:
		YYDEBUG(701, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy705;
		if (yych == 'r') goto yy705;
		goto yy280;
yy702:
		YYDEBUG(702, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy703;
		if (yych != 'y') goto yy280;
yy703:
		YYDEBUG(703, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(704, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 948 "Zend/zend_language_scanner.l"
		{
	return T_TRY;
}
#line 6729 "Zend/zend_language_scanner.c"
yy705:
		YYDEBUG(705, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy706;
		if (yych != 'o') goto yy280;
yy706:
		YYDEBUG(706, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy707;
		if (yych != 'w') goto yy280;
yy707:
		YYDEBUG(707, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(708, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 956 "Zend/zend_language_scanner.l"
		{
	return T_THROW;
}
#line 6752 "Zend/zend_language_scanner.c"
yy709:
		YYDEBUG(709, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych == 'Q') goto yy711;
			if (yych <= 'S') goto yy280;
		} else {
			if (yych <= 'q') {
				if (yych <= 'p') goto yy280;
				goto yy711;
			} else {
				if (yych != 't') goto yy280;
			}
		}
		YYDEBUG(710, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy723;
		if (yych == 'u') goto yy723;
		goto yy280;
yy711:
		YYDEBUG(711, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy712;
		if (yych != 'u') goto yy280;
yy712:
		YYDEBUG(712, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy713;
		if (yych != 'i') goto yy280;
yy713:
		YYDEBUG(713, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy714;
		if (yych != 'r') goto yy280;
yy714:
		YYDEBUG(714, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy715;
		if (yych != 'e') goto yy280;
yy715:
		YYDEBUG(715, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy279;
			} else {
				if (yych <= '@') goto yy716;
				if (yych <= 'Z') goto yy279;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy717;
			} else {
				if (yych <= 'z') goto yy279;
				if (yych >= 0x7F) goto yy279;
			}
		}
yy716:
		YYDEBUG(716, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1162 "Zend/zend_language_scanner.l"
		{
	return T_REQUIRE;
}
#line 6817 "Zend/zend_language_scanner.c"
yy717:
		YYDEBUG(717, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy718;
		if (yych != 'o') goto yy280;
yy718:
		YYDEBUG(718, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy719;
		if (yych != 'n') goto yy280;
yy719:
		YYDEBUG(719, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy720;
		if (yych != 'c') goto yy280;
yy720:
		YYDEBUG(720, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy721;
		if (yych != 'e') goto yy280;
yy721:
		YYDEBUG(721, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(722, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1166 "Zend/zend_language_scanner.l"
		{
	return T_REQUIRE_ONCE;
}
#line 6850 "Zend/zend_language_scanner.c"
yy723:
		YYDEBUG(723, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy724;
		if (yych != 'r') goto yy280;
yy724:
		YYDEBUG(724, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy725;
		if (yych != 'n') goto yy280;
yy725:
		YYDEBUG(725, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(726, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 944 "Zend/zend_language_scanner.l"
		{
	return T_RETURN;
}
#line 6873 "Zend/zend_language_scanner.c"
yy727:
		YYDEBUG(727, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'R') goto yy280;
			if (yych <= 'S') goto yy749;
			goto yy748;
		} else {
			if (yych <= 'r') goto yy280;
			if (yych <= 's') goto yy749;
			if (yych <= 't') goto yy748;
			goto yy280;
		}
yy728:
		YYDEBUG(728, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'O') {
			if (yych == 'A') goto yy740;
			if (yych <= 'N') goto yy280;
			goto yy741;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy280;
				goto yy740;
			} else {
				if (yych == 'o') goto yy741;
				goto yy280;
			}
		}
yy729:
		YYDEBUG(729, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy730;
		if (yych != 'n') goto yy280;
yy730:
		YYDEBUG(730, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych <= 'R') goto yy280;
			if (yych >= 'T') goto yy732;
		} else {
			if (yych <= 'r') goto yy280;
			if (yych <= 's') goto yy731;
			if (yych <= 't') goto yy732;
			goto yy280;
		}
yy731:
		YYDEBUG(731, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy738;
		if (yych == 't') goto yy738;
		goto yy280;
yy732:
		YYDEBUG(732, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy733;
		if (yych != 'i') goto yy280;
yy733:
		YYDEBUG(733, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy734;
		if (yych != 'n') goto yy280;
yy734:
		YYDEBUG(734, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy735;
		if (yych != 'u') goto yy280;
yy735:
		YYDEBUG(735, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy736;
		if (yych != 'e') goto yy280;
yy736:
		YYDEBUG(736, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(737, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1040 "Zend/zend_language_scanner.l"
		{
	return T_CONTINUE;
}
#line 6958 "Zend/zend_language_scanner.c"
yy738:
		YYDEBUG(738, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(739, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 940 "Zend/zend_language_scanner.l"
		{
	return T_CONST;
}
#line 6971 "Zend/zend_language_scanner.c"
yy740:
		YYDEBUG(740, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy745;
		if (yych == 's') goto yy745;
		goto yy280;
yy741:
		YYDEBUG(741, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy742;
		if (yych != 'n') goto yy280;
yy742:
		YYDEBUG(742, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy743;
		if (yych != 'e') goto yy280;
yy743:
		YYDEBUG(743, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(744, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1110 "Zend/zend_language_scanner.l"
		{
	return T_CLONE;
}
#line 7000 "Zend/zend_language_scanner.c"
yy745:
		YYDEBUG(745, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy746;
		if (yych != 's') goto yy280;
yy746:
		YYDEBUG(746, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(747, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1056 "Zend/zend_language_scanner.l"
		{
	return T_CLASS;
}
#line 7018 "Zend/zend_language_scanner.c"
yy748:
		YYDEBUG(748, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy752;
		if (yych == 'c') goto yy752;
		goto yy280;
yy749:
		YYDEBUG(749, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy750;
		if (yych != 'e') goto yy280;
yy750:
		YYDEBUG(750, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(751, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1028 "Zend/zend_language_scanner.l"
		{
	return T_CASE;
}
#line 7042 "Zend/zend_language_scanner.c"
yy752:
		YYDEBUG(752, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy753;
		if (yych != 'h') goto yy280;
yy753:
		YYDEBUG(753, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(754, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 952 "Zend/zend_language_scanner.l"
		{
	return T_CATCH;
}
#line 7060 "Zend/zend_language_scanner.c"
yy755:
		YYDEBUG(755, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy772;
		if (yych == 'n') goto yy772;
		goto yy280;
yy756:
		YYDEBUG(756, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy765;
		if (yych == 'r') goto yy765;
		goto yy280;
yy757:
		YYDEBUG(757, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy758;
		if (yych != 'n') goto yy280;
yy758:
		YYDEBUG(758, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy759;
		if (yych != 'c') goto yy280;
yy759:
		YYDEBUG(759, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy760;
		if (yych != 't') goto yy280;
yy760:
		YYDEBUG(760, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy761;
		if (yych != 'i') goto yy280;
yy761:
		YYDEBUG(761, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy762;
		if (yych != 'o') goto yy280;
yy762:
		YYDEBUG(762, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy763;
		if (yych != 'n') goto yy280;
yy763:
		YYDEBUG(763, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(764, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 936 "Zend/zend_language_scanner.l"
		{
	return T_FUNCTION;
}
#line 7115 "Zend/zend_language_scanner.c"
yy765:
		YYDEBUG(765, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy766;
				if (yych <= '9') goto yy279;
			} else {
				if (yych == 'E') goto yy767;
				if (yych <= 'Z') goto yy279;
			}
		} else {
			if (yych <= 'd') {
				if (yych != '`') goto yy279;
			} else {
				if (yych <= 'e') goto yy767;
				if (yych <= 'z') goto yy279;
				if (yych >= 0x7F) goto yy279;
			}
		}
yy766:
		YYDEBUG(766, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 988 "Zend/zend_language_scanner.l"
		{
	return T_FOR;
}
#line 7143 "Zend/zend_language_scanner.c"
yy767:
		YYDEBUG(767, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy768;
		if (yych != 'a') goto yy280;
yy768:
		YYDEBUG(768, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy769;
		if (yych != 'c') goto yy280;
yy769:
		YYDEBUG(769, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy770;
		if (yych != 'h') goto yy280;
yy770:
		YYDEBUG(770, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(771, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 996 "Zend/zend_language_scanner.l"
		{
	return T_FOREACH;
}
#line 7171 "Zend/zend_language_scanner.c"
yy772:
		YYDEBUG(772, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy773;
		if (yych != 'a') goto yy280;
yy773:
		YYDEBUG(773, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy774;
		if (yych != 'l') goto yy280;
yy774:
		YYDEBUG(774, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(775, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1202 "Zend/zend_language_scanner.l"
		{
	return T_FINAL;
}
#line 7194 "Zend/zend_language_scanner.c"
yy776:
		YYDEBUG(776, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'F') {
			if (yych == 'C') goto yy782;
			if (yych <= 'E') goto yy280;
			goto yy783;
		} else {
			if (yych <= 'c') {
				if (yych <= 'b') goto yy280;
				goto yy782;
			} else {
				if (yych == 'f') goto yy783;
				goto yy280;
			}
		}
yy777:
		YYDEBUG(777, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy780;
		if (yych == 'e') goto yy780;
		goto yy280;
yy778:
		YYDEBUG(778, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(779, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 984 "Zend/zend_language_scanner.l"
		{
	return T_DO;
}
#line 7229 "Zend/zend_language_scanner.c"
yy780:
		YYDEBUG(780, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(781, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 932 "Zend/zend_language_scanner.l"
		{
	return T_EXIT;
}
#line 7242 "Zend/zend_language_scanner.c"
yy782:
		YYDEBUG(782, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy789;
		if (yych == 'l') goto yy789;
		goto yy280;
yy783:
		YYDEBUG(783, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy784;
		if (yych != 'a') goto yy280;
yy784:
		YYDEBUG(784, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy785;
		if (yych != 'u') goto yy280;
yy785:
		YYDEBUG(785, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy786;
		if (yych != 'l') goto yy280;
yy786:
		YYDEBUG(786, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy787;
		if (yych != 't') goto yy280;
yy787:
		YYDEBUG(787, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(788, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1032 "Zend/zend_language_scanner.l"
		{
	return T_DEFAULT;
}
#line 7281 "Zend/zend_language_scanner.c"
yy789:
		YYDEBUG(789, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy790;
		if (yych != 'a') goto yy280;
yy790:
		YYDEBUG(790, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy791;
		if (yych != 'r') goto yy280;
yy791:
		YYDEBUG(791, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy792;
		if (yych != 'e') goto yy280;
yy792:
		YYDEBUG(792, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(793, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1004 "Zend/zend_language_scanner.l"
		{
	return T_DECLARE;
}
#line 7309 "Zend/zend_language_scanner.c"
yy794:
		YYDEBUG(794, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy856;
		if (yych == 'h') goto yy856;
		goto yy280;
yy795:
		YYDEBUG(795, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy850;
		if (yych == 's') goto yy850;
		goto yy280;
yy796:
		YYDEBUG(796, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'P') goto yy846;
		if (yych == 'p') goto yy846;
		goto yy280;
yy797:
		YYDEBUG(797, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy812;
		if (yych == 'd') goto yy812;
		goto yy280;
yy798:
		YYDEBUG(798, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy809;
		if (yych == 'a') goto yy809;
		goto yy280;
yy799:
		YYDEBUG(799, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'T') {
			if (yych == 'I') goto yy800;
			if (yych <= 'S') goto yy280;
			goto yy801;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy280;
			} else {
				if (yych == 't') goto yy801;
				goto yy280;
			}
		}
yy800:
		YYDEBUG(800, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy807;
		if (yych == 't') goto yy807;
		goto yy280;
yy801:
		YYDEBUG(801, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy802;
		if (yych != 'e') goto yy280;
yy802:
		YYDEBUG(802, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'N') goto yy803;
		if (yych != 'n') goto yy280;
yy803:
		YYDEBUG(803, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'D') goto yy804;
		if (yych != 'd') goto yy280;
yy804:
		YYDEBUG(804, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy805;
		if (yych != 's') goto yy280;
yy805:
		YYDEBUG(805, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(806, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1064 "Zend/zend_language_scanner.l"
		{
	return T_EXTENDS;
}
#line 7393 "Zend/zend_language_scanner.c"
yy807:
		YYDEBUG(807, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(808, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 928 "Zend/zend_language_scanner.l"
		{
	return T_EXIT;
}
#line 7406 "Zend/zend_language_scanner.c"
yy809:
		YYDEBUG(809, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy810;
		if (yych != 'l') goto yy280;
yy810:
		YYDEBUG(810, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(811, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1150 "Zend/zend_language_scanner.l"
		{
	return T_EVAL;
}
#line 7424 "Zend/zend_language_scanner.c"
yy812:
		YYDEBUG(812, *YYCURSOR);
		yych = *++YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 'D':
		case 'd':	goto yy813;
		case 'F':
		case 'f':	goto yy814;
		case 'I':
		case 'i':	goto yy815;
		case 'S':
		case 's':	goto yy816;
		case 'W':
		case 'w':	goto yy817;
		default:	goto yy280;
		}
yy813:
		YYDEBUG(813, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy839;
		if (yych == 'e') goto yy839;
		goto yy280;
yy814:
		YYDEBUG(814, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy831;
		if (yych == 'o') goto yy831;
		goto yy280;
yy815:
		YYDEBUG(815, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy829;
		if (yych == 'f') goto yy829;
		goto yy280;
yy816:
		YYDEBUG(816, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'W') goto yy823;
		if (yych == 'w') goto yy823;
		goto yy280;
yy817:
		YYDEBUG(817, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy818;
		if (yych != 'h') goto yy280;
yy818:
		YYDEBUG(818, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy819;
		if (yych != 'i') goto yy280;
yy819:
		YYDEBUG(819, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy820;
		if (yych != 'l') goto yy280;
yy820:
		YYDEBUG(820, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy821;
		if (yych != 'e') goto yy280;
yy821:
		YYDEBUG(821, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(822, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 980 "Zend/zend_language_scanner.l"
		{
	return T_ENDWHILE;
}
#line 7498 "Zend/zend_language_scanner.c"
yy823:
		YYDEBUG(823, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'I') goto yy824;
		if (yych != 'i') goto yy280;
yy824:
		YYDEBUG(824, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy825;
		if (yych != 't') goto yy280;
yy825:
		YYDEBUG(825, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy826;
		if (yych != 'c') goto yy280;
yy826:
		YYDEBUG(826, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy827;
		if (yych != 'h') goto yy280;
yy827:
		YYDEBUG(827, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(828, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1024 "Zend/zend_language_scanner.l"
		{
	return T_ENDSWITCH;
}
#line 7531 "Zend/zend_language_scanner.c"
yy829:
		YYDEBUG(829, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(830, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 968 "Zend/zend_language_scanner.l"
		{
	return T_ENDIF;
}
#line 7544 "Zend/zend_language_scanner.c"
yy831:
		YYDEBUG(831, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy832;
		if (yych != 'r') goto yy280;
yy832:
		YYDEBUG(832, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy833;
				if (yych <= '9') goto yy279;
			} else {
				if (yych == 'E') goto yy834;
				if (yych <= 'Z') goto yy279;
			}
		} else {
			if (yych <= 'd') {
				if (yych != '`') goto yy279;
			} else {
				if (yych <= 'e') goto yy834;
				if (yych <= 'z') goto yy279;
				if (yych >= 0x7F) goto yy279;
			}
		}
yy833:
		YYDEBUG(833, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 992 "Zend/zend_language_scanner.l"
		{
	return T_ENDFOR;
}
#line 7577 "Zend/zend_language_scanner.c"
yy834:
		YYDEBUG(834, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy835;
		if (yych != 'a') goto yy280;
yy835:
		YYDEBUG(835, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy836;
		if (yych != 'c') goto yy280;
yy836:
		YYDEBUG(836, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'H') goto yy837;
		if (yych != 'h') goto yy280;
yy837:
		YYDEBUG(837, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(838, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1000 "Zend/zend_language_scanner.l"
		{
	return T_ENDFOREACH;
}
#line 7605 "Zend/zend_language_scanner.c"
yy839:
		YYDEBUG(839, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'C') goto yy840;
		if (yych != 'c') goto yy280;
yy840:
		YYDEBUG(840, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy841;
		if (yych != 'l') goto yy280;
yy841:
		YYDEBUG(841, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy842;
		if (yych != 'a') goto yy280;
yy842:
		YYDEBUG(842, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy843;
		if (yych != 'r') goto yy280;
yy843:
		YYDEBUG(843, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy844;
		if (yych != 'e') goto yy280;
yy844:
		YYDEBUG(844, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(845, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1008 "Zend/zend_language_scanner.l"
		{
	return T_ENDDECLARE;
}
#line 7643 "Zend/zend_language_scanner.c"
yy846:
		YYDEBUG(846, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'T') goto yy847;
		if (yych != 't') goto yy280;
yy847:
		YYDEBUG(847, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'Y') goto yy848;
		if (yych != 'y') goto yy280;
yy848:
		YYDEBUG(848, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(849, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1186 "Zend/zend_language_scanner.l"
		{
	return T_EMPTY;
}
#line 7666 "Zend/zend_language_scanner.c"
yy850:
		YYDEBUG(850, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy851;
		if (yych != 'e') goto yy280;
yy851:
		YYDEBUG(851, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '^') {
			if (yych <= '@') {
				if (yych <= '/') goto yy852;
				if (yych <= '9') goto yy279;
			} else {
				if (yych == 'I') goto yy853;
				if (yych <= 'Z') goto yy279;
			}
		} else {
			if (yych <= 'h') {
				if (yych != '`') goto yy279;
			} else {
				if (yych <= 'i') goto yy853;
				if (yych <= 'z') goto yy279;
				if (yych >= 0x7F) goto yy279;
			}
		}
yy852:
		YYDEBUG(852, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 972 "Zend/zend_language_scanner.l"
		{
	return T_ELSE;
}
#line 7699 "Zend/zend_language_scanner.c"
yy853:
		YYDEBUG(853, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy854;
		if (yych != 'f') goto yy280;
yy854:
		YYDEBUG(854, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(855, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 964 "Zend/zend_language_scanner.l"
		{
	return T_ELSEIF;
}
#line 7717 "Zend/zend_language_scanner.c"
yy856:
		YYDEBUG(856, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'O') goto yy857;
		if (yych != 'o') goto yy280;
yy857:
		YYDEBUG(857, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 8) {
			goto yy279;
		}
		YYDEBUG(858, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1048 "Zend/zend_language_scanner.l"
		{
	return T_ECHO;
}
#line 7735 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_LOOKING_FOR_PROPERTY:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128,   0,   0, 128,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,   0,   0,   0,   0,   0,   0, 
			  0,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,   0,   0,   0,   0,  64, 
			  0,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,   0,   0,   0,   0,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
			 64,  64,  64,  64,  64,  64,  64,  64, 
		};
		YYDEBUG(859, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '-') {
			if (yych <= '\r') {
				if (yych <= 0x08) goto yy867;
				if (yych <= '\n') goto yy861;
				if (yych <= '\f') goto yy867;
			} else {
				if (yych == ' ') goto yy861;
				if (yych <= ',') goto yy867;
				goto yy863;
			}
		} else {
			if (yych <= '_') {
				if (yych <= '@') goto yy867;
				if (yych <= 'Z') goto yy865;
				if (yych <= '^') goto yy867;
				goto yy865;
			} else {
				if (yych <= '`') goto yy867;
				if (yych <= 'z') goto yy865;
				if (yych <= '~') goto yy867;
				goto yy865;
			}
		}
yy861:
		YYDEBUG(861, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy873;
yy862:
		YYDEBUG(862, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1077 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	HANDLE_NEWLINES(yytext, yyleng);
	return T_WHITESPACE;
}
#line 7816 "Zend/zend_language_scanner.c"
yy863:
		YYDEBUG(863, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '>') goto yy870;
yy864:
		YYDEBUG(864, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1096 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	yy_pop_state(TSRMLS_C);
	goto restart;
}
#line 7830 "Zend/zend_language_scanner.c"
yy865:
		YYDEBUG(865, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy869;
yy866:
		YYDEBUG(866, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1089 "Zend/zend_language_scanner.l"
		{
	yy_pop_state(TSRMLS_C);
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 7846 "Zend/zend_language_scanner.c"
yy867:
		YYDEBUG(867, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy864;
yy868:
		YYDEBUG(868, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy869:
		YYDEBUG(869, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy868;
		}
		goto yy866;
yy870:
		YYDEBUG(870, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(871, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1085 "Zend/zend_language_scanner.l"
		{
	return T_OBJECT_OPERATOR;
}
#line 7871 "Zend/zend_language_scanner.c"
yy872:
		YYDEBUG(872, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy873:
		YYDEBUG(873, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy872;
		}
		goto yy862;
	}
/* *********************************** */
yyc_ST_LOOKING_FOR_VARNAME:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(874, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '_') {
			if (yych <= '@') goto yy878;
			if (yych <= 'Z') goto yy876;
			if (yych <= '^') goto yy878;
		} else {
			if (yych <= '`') goto yy878;
			if (yych <= 'z') goto yy876;
			if (yych <= '~') goto yy878;
		}
yy876:
		YYDEBUG(876, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy881;
yy877:
		YYDEBUG(877, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1364 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	yy_pop_state(TSRMLS_C);
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	return T_STRING_VARNAME;
}
#line 7949 "Zend/zend_language_scanner.c"
yy878:
		YYDEBUG(878, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(879, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1373 "Zend/zend_language_scanner.l"
		{
	yyless(0);
	yy_pop_state(TSRMLS_C);
	yy_push_state(ST_IN_SCRIPTING TSRMLS_CC);
	goto restart;
}
#line 7962 "Zend/zend_language_scanner.c"
yy880:
		YYDEBUG(880, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy881:
		YYDEBUG(881, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy880;
		}
		goto yy877;
	}
/* *********************************** */
yyc_ST_NOWDOC:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  32,  16,  16,  64,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144,  16,  16,  16,  16,  16,  16, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,  16,  16,  16, 144, 
			 16, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144,  16,  16,  16,  16, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
			144, 144, 144, 144, 144, 144, 144, 144, 
		};
		YYDEBUG(882, *YYCURSOR);
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy884;
		}
		if (yych <= '\f') goto yy886;
		goto yy888;
yy884:
		YYDEBUG(884, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(885, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy884;
		}
		if (yych <= '\f') goto yy895;
		goto yy897;
yy886:
		YYDEBUG(886, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(887, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy886;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych <= '\f') goto yy884;
			} else {
				if (yych <= '@') goto yy884;
				if (yych <= 'Z') goto yy890;
				goto yy884;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy890;
				goto yy884;
			} else {
				if (yych <= 'z') goto yy890;
				if (yych <= '~') goto yy884;
				goto yy890;
			}
		}
yy888:
		YYDEBUG(888, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(889, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy886;
		}
		if (yych <= '^') {
			if (yych <= '\r') {
				if (yych <= '\f') goto yy884;
				goto yy888;
			} else {
				if (yych <= '@') goto yy884;
				if (yych >= '[') goto yy884;
			}
		} else {
			if (yych <= '`') {
				if (yych >= '`') goto yy884;
			} else {
				if (yych <= 'z') goto yy890;
				if (yych <= '~') goto yy884;
			}
		}
yy890:
		YYDEBUG(890, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(891, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy890;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy893;
			goto yy884;
		} else {
			if (yych <= '\r') goto yy893;
			if (yych != ';') goto yy884;
		}
		YYDEBUG(892, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 16) {
			goto yy884;
		}
yy893:
		YYDEBUG(893, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(894, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2063 "Zend/zend_language_scanner.l"
		{
	char *end = yytext + yyleng - 1;

	if (end[-1] == ';') {
		end--;
		yyleng--;
	}

	if (yyleng > CG(heredoc_len) && !memcmp(end - CG(heredoc_len), CG(heredoc), CG(heredoc_len))) {
		int len = yyleng - CG(heredoc_len) - 2; /* 2 for newline before and after label */

		/* May have matched fooLABEL; make sure there's a newline before it */
		if (yytext[len] != '\n') {
			if (yytext[len] != '\r') {
				yyless(yyleng - 1);
				yymore();
			}
		} else if (len > 0 && yytext[len - 1] == '\r') {
			len--; /* Windows newline */
		}

		/* Go back before label, to match in ST_END_HEREDOC state. yytext will include
		 * newline before label, for zend_highlight/strip, tokenizer, etc. */
		yyless(yyleng - CG(heredoc_len) - 1); /* 1 for newline after label */

		CG(increment_lineno) = 1; /* For newline before label */
		BEGIN(ST_END_HEREDOC);

		zend_copy_value(zendlval, yytext, len);
		zendlval->type = IS_STRING;
		HANDLE_NEWLINES(yytext, len);
		return T_ENCAPSED_AND_WHITESPACE;
	} else {
		/* Go back to end of label, so the next match works correctly in case of
		 * another label at the beginning of the next line */
		yyless(yyleng - 1);
		yymore();
	}
}
#line 8151 "Zend/zend_language_scanner.c"
yy895:
		YYDEBUG(895, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(896, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '\f') {
				if (yych == '\n') goto yy895;
				goto yy884;
			} else {
				if (yych <= '\r') goto yy897;
				if (yych <= '@') goto yy884;
				goto yy890;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy890;
				goto yy884;
			} else {
				if (yych <= 'z') goto yy890;
				if (yych <= '~') goto yy884;
				goto yy890;
			}
		}
yy897:
		YYDEBUG(897, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(898, *YYCURSOR);
		if (yych <= 'Z') {
			if (yych <= '\f') {
				if (yych == '\n') goto yy895;
				goto yy884;
			} else {
				if (yych <= '\r') goto yy897;
				if (yych <= '@') goto yy884;
				goto yy890;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy890;
				goto yy884;
			} else {
				if (yych <= 'z') goto yy890;
				if (yych <= '~') goto yy884;
				goto yy890;
			}
		}
	}
/* *********************************** */
yyc_ST_ONE_LINE_COMMENT:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128,   0,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(899, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy905;
		}
		if (yych <= '\f') goto yy908;
		if (yych <= '\r') goto yy909;
		if (yych <= '=') goto yy901;
		if (yych <= '>') goto yy903;
		goto yy904;
yy901:
		YYDEBUG(901, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '>') goto yy913;
yy902:
		YYDEBUG(902, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1731 "Zend/zend_language_scanner.l"
		{
	yymore();
}
#line 8262 "Zend/zend_language_scanner.c"
yy903:
		YYDEBUG(903, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy902;
yy904:
		YYDEBUG(904, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '>') goto yy913;
		goto yy902;
yy905:
		YYDEBUG(905, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(906, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy905;
		}
		goto yy912;
yy907:
		YYDEBUG(907, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1735 "Zend/zend_language_scanner.l"
		{
	switch (yytext[yyleng-1]) {
		case '?': case '%': case '>':
			yyless(yyleng-1);
			yymore();
			break;
		case '\n':
			CG(zend_lineno)++;
			/* intentional fall through */
		default:
			zendlval->value.str.val = yytext; /* no copying - intentional */
			zendlval->value.str.len = yyleng;
			zendlval->type = IS_STRING;
			BEGIN(ST_IN_SCRIPTING);
			return T_COMMENT;
	}
}
#line 8303 "Zend/zend_language_scanner.c"
yy908:
		YYDEBUG(908, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy907;
yy909:
		YYDEBUG(909, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych != '\n') goto yy907;
		YYDEBUG(910, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(911, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1753 "Zend/zend_language_scanner.l"
		{
	zendlval->value.str.val = yytext; /* no copying - intentional */
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	BEGIN(ST_IN_SCRIPTING);
	CG(zend_lineno)++;
	return T_COMMENT;
}
#line 8325 "Zend/zend_language_scanner.c"
yy912:
		YYDEBUG(912, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy907;
yy913:
		YYDEBUG(913, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(914, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1762 "Zend/zend_language_scanner.l"
		{
	if (CG(asp_tags) || yytext[yyleng-2] != '%') { /* asp comment? */
		zendlval->value.str.val = yytext; /* no copying - intentional */
		zendlval->value.str.len = yyleng-2;
		zendlval->type = IS_STRING;
		yyless(yyleng - 2);
		BEGIN(ST_IN_SCRIPTING);
		return T_COMMENT;
	} else {
		yymore();
	}
}
#line 8348 "Zend/zend_language_scanner.c"
	}
/* *********************************** */
yyc_ST_VAR_OFFSET:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			224, 224, 224, 224, 224, 224, 224, 224, 
			224, 224,   0,   0,   0,   0,   0,   0, 
			  0, 160, 160, 160, 160, 160, 160,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,   0,   0,   0,   0,  32, 
			  0, 160, 160, 160, 160, 160, 160,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,   0,   0,   0,   0,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
			 32,  32,  32,  32,  32,  32,  32,  32, 
		};
		YYDEBUG(915, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '/') {
			if (yych <= ' ') {
				if (yych <= '\f') {
					if (yych <= 0x08) goto yy929;
					if (yych <= '\n') goto yy925;
					goto yy929;
				} else {
					if (yych <= '\r') goto yy925;
					if (yych <= 0x1F) goto yy929;
					goto yy925;
				}
			} else {
				if (yych <= '$') {
					if (yych <= '"') goto yy924;
					if (yych <= '#') goto yy925;
					goto yy920;
				} else {
					if (yych == '\'') goto yy925;
					goto yy924;
				}
			}
		} else {
			if (yych <= '\\') {
				if (yych <= '@') {
					if (yych <= '0') goto yy917;
					if (yych <= '9') goto yy919;
					goto yy924;
				} else {
					if (yych <= 'Z') goto yy927;
					if (yych <= '[') goto yy924;
					goto yy925;
				}
			} else {
				if (yych <= '_') {
					if (yych <= ']') goto yy922;
					if (yych <= '^') goto yy924;
					goto yy927;
				} else {
					if (yych <= '`') goto yy924;
					if (yych <= 'z') goto yy927;
					if (yych <= '~') goto yy924;
					goto yy927;
				}
			}
		}
yy917:
		YYDEBUG(917, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'W') {
			if (yych <= '/') goto yy918;
			if (yych <= '9') goto yy940;
		} else {
			if (yych <= 'X') goto yy938;
			if (yych == 'x') goto yy938;
		}
yy918:
		YYDEBUG(918, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1423 "Zend/zend_language_scanner.l"
		{ /* Offset could be treated as a long */
	if (yyleng < MAX_LENGTH_OF_LONG - 1 || (yyleng == MAX_LENGTH_OF_LONG - 1 && strcmp(yytext, long_min_digits) < 0)) {
		zendlval->value.lval = strtol(yytext, NULL, 10);
		zendlval->type = IS_LONG;
	} else {
		zendlval->value.str.val = (char *)estrndup(yytext, yyleng);
		zendlval->value.str.len = yyleng;
		zendlval->type = IS_STRING;
	}
	return T_NUM_STRING;
}
#line 8461 "Zend/zend_language_scanner.c"
yy919:
		YYDEBUG(919, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy937;
yy920:
		YYDEBUG(920, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '_') {
			if (yych <= '@') goto yy921;
			if (yych <= 'Z') goto yy933;
			if (yych >= '_') goto yy933;
		} else {
			if (yych <= '`') goto yy921;
			if (yych <= 'z') goto yy933;
			if (yych >= 0x7F) goto yy933;
		}
yy921:
		YYDEBUG(921, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1706 "Zend/zend_language_scanner.l"
		{
	/* Only '[' can be valid, but returning other tokens will allow a more explicit parse error */
	return yytext[0];
}
#line 8486 "Zend/zend_language_scanner.c"
yy922:
		YYDEBUG(922, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(923, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1701 "Zend/zend_language_scanner.l"
		{
	yy_pop_state(TSRMLS_C);
	return ']';
}
#line 8497 "Zend/zend_language_scanner.c"
yy924:
		YYDEBUG(924, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy921;
yy925:
		YYDEBUG(925, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(926, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1711 "Zend/zend_language_scanner.l"
		{
	/* Invalid rule to return a more explicit parse error with proper line number */
	yyless(0);
	yy_pop_state(TSRMLS_C);
	ZVAL_EMPTY_STRING(zendlval); /* Empty since it won't be used */
	return T_ENCAPSED_AND_WHITESPACE;
}
#line 8515 "Zend/zend_language_scanner.c"
yy927:
		YYDEBUG(927, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy932;
yy928:
		YYDEBUG(928, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1719 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, yytext, yyleng);
	zendlval->type = IS_STRING;
	return T_STRING;
}
#line 8530 "Zend/zend_language_scanner.c"
yy929:
		YYDEBUG(929, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(930, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 2116 "Zend/zend_language_scanner.l"
		{
	zend_error(E_COMPILE_WARNING,"Unexpected character in input:  '%c' (ASCII=%d) state=%d", yytext[0], yytext[0], YYSTATE);
	goto restart;
}
#line 8541 "Zend/zend_language_scanner.c"
yy931:
		YYDEBUG(931, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy932:
		YYDEBUG(932, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy931;
		}
		goto yy928;
yy933:
		YYDEBUG(933, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(934, *YYCURSOR);
		if (yych <= '^') {
			if (yych <= '9') {
				if (yych >= '0') goto yy933;
			} else {
				if (yych <= '@') goto yy935;
				if (yych <= 'Z') goto yy933;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '_') goto yy933;
			} else {
				if (yych <= 'z') goto yy933;
				if (yych >= 0x7F) goto yy933;
			}
		}
yy935:
		YYDEBUG(935, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1695 "Zend/zend_language_scanner.l"
		{
	zend_copy_value(zendlval, (yytext+1), (yyleng-1));
	zendlval->type = IS_STRING;
	return T_VARIABLE;
}
#line 8583 "Zend/zend_language_scanner.c"
yy936:
		YYDEBUG(936, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy937:
		YYDEBUG(937, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy936;
		}
		goto yy918;
yy938:
		YYDEBUG(938, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yybm[0+yych] & 128) {
			goto yy943;
		}
		YYDEBUG(939, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy918;
yy940:
		YYDEBUG(940, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(941, *YYCURSOR);
		if (yych <= '/') goto yy942;
		if (yych <= '9') goto yy940;
yy942:
		YYDEBUG(942, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 1435 "Zend/zend_language_scanner.l"
		{ /* Offset must be treated as a string */
	zendlval->value.str.val = (char *)estrndup(yytext, yyleng);
	zendlval->value.str.len = yyleng;
	zendlval->type = IS_STRING;
	return T_NUM_STRING;
}
#line 8622 "Zend/zend_language_scanner.c"
yy943:
		YYDEBUG(943, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(944, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy943;
		}
		goto yy942;
	}
}
#line 2121 "Zend/zend_language_scanner.l"

}
